<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<f:subview id="create_vir_adap_view">

	<hx:panelBox id="createVirAdapDialogbox" layout="pageDirection">
	
	<usmc:messageBox id="dialog_messagebox"
							               messageCollection="#{messageBoxBean.messages}"
							               styleClass="taskInfo"
							               immediate="true"
							               closeLinkVisible="false"
							               closeListener="#{messageBoxBean.handleClose}"
							               />
			
			<h:panelGrid id="panel1">
			<h:outputText id="create_adapter_id1" value="#{msg.create_dialogue_text2} "/>
			</h:panelGrid>
			
			<h:outputText id="outputext56" value="<p>" escape="false"/>
			
			<h:panelGrid id="adapternamepanel">
			
			<hx:ajaxRefreshSubmit id="adapterTypeRefersh"/>
			<h:panelGrid id="panel2">
				<usmc:outputLabel id="create_adapter_id3" value="#{msg.create_dialogue_adapter_id}" for="create_adapter_id" />
					<h:inputText id="create_adapter_id"	value="#{vios_pagecode.virtualAdapter.adapterId}" style="width: 150" maxlength="9" onkeypress="return isNumber(event, this.id, '');"/>
			</h:panelGrid>		
	
			<h:panelGrid id="panel3">
				<usmc:outputLabel id="create_adapter_id5" value="#{msg['create_dialogue_adapter_type']}" for="selectOneAdapterType" />
	
				<h:selectOneMenu id="selectOneAdapterType" value="#{vios_pagecode.virtualAdapter.adapterType}">
					<f:selectItems value="#{vios_pagecode.virtualAdapter.adapterTypeList}" />
					<hx:behavior id="ajBehavior_refresh_adapter_type" event="onchange"	behaviorAction="get;stop" targetAction="adapternamepanel" target="selectOneAdapterType"/>
				</h:selectOneMenu>
			</h:panelGrid>
				
			<h:panelGrid rendered="#{vios_pagecode.virtualAdapter.vfcAdapterType}" columns="2" id="wwpninfopanel">
					<usmc:outputLabel for="device_vfc_wwpn" value="#{msg.vfc_wwpn}" id="label1"/>
					<h:outputText id="device_vfc_wwpn" value="#{msg.vfc_wwpn_auto_generated}" style="font-weight: bold"></h:outputText>
			</h:panelGrid>			
			
			<h:outputText value="<br>" escape="false"/>
			
			<h:outputText id="create_adapter_id8" value="#{msg.create_dialogue_text3}"	styleClass="headerText"/>
			
			<h:panelGrid id="connServerPanel" rendered="#{vios_pagecode.virtualAdapter.vserversAvailable}">
			
				<usmc:outputLabel id="create_adapter_id10"	value="#{msg.create_dialogue_client_partition}" for="menu2"/>
				
				<h:panelGrid columns="5" id="panel4">
				
				<h:selectOneMenu id="menu2" styleClass="selectOneMenu" value="#{vios_pagecode.virtualAdapter.connVServer}">
						<f:selectItems value="#{vios_pagecode.virtualAdapter.connVServerList}" />
					<hx:behavior event="onchange" targetAction="panel4" behaviorAction="get;stop" target="menu2"/>
				</h:selectOneMenu>
				
				<h:outputText value="&nbsp;" escape="false"/>
				
				<usmc:outputLabel id="create_adapter_id15"	value="#{msg.CUST_VSERVER_ID}" for="create_adapter_id16" rendered="#{vios_pagecode.virtualAdapter.customVServer}"/>
				<h:inputText id="create_adapter_id16"  maxlength="5" value="#{vios_pagecode.virtualAdapter.connVServerId}" rendered="#{vios_pagecode.virtualAdapter.customVServer}" style="width: 150" onkeypress="return isNumber(event, this.id, '');"/>
				
				</h:panelGrid>
				
			</h:panelGrid>	
			
			</h:panelGrid>
			
			<h:panelGrid id="panel5" rendered="#{!vios_pagecode.virtualAdapter.vserversAvailable}">
				<usmc:outputLabel id="create_adapter_id13"	value="#{msg.CUST_VSERVER_TEXT}" for="create_adapter_id14" />
				<h:inputText id="create_adapter_id14"  maxlength="5" value="#{vios_pagecode.virtualAdapter.connVServerId}" style="width: 150" onkeypress="return isNumber(event, this.id, '');"/>
			</h:panelGrid>	
			
			<h:panelGrid id="panel6">	
				<usmc:outputLabel id="create_adapter_id11"	value="#{msg.create_dialogue_client_slotId}" for="create_adapter_id12" />
				<h:inputText id="create_adapter_id12"  maxlength="5" value="#{vios_pagecode.virtualAdapter.connVAdapterId}" style="width: 150" onkeypress="return isNumber(event, this.id, '');"/>				
			</h:panelGrid>			

			<h:panelGrid columns="3" id="panel7">

				<hx:commandExButton value="#{msg.OK_TEXT}" action="#{vios_pagecode.createVirtualAdapterSubmit}">
					<hx:behavior event="onclick" targetAction="createVAdapterPanelDialog;virtualAdapterspanel" behaviorAction="hide;get;stop"/>
				</hx:commandExButton>
				
				<hx:commandExButton value="#{msg.CANCEL_TEXT}" action="#{vios_pagecode.createVirtualAdapterCancel}">
					<hx:behavior event="onclick" targetAction="createVAdapterPanelDialog;virtualAdapterspanel" behaviorAction="hide;get;stop"/>
				</hx:commandExButton>
				<h:commandButton id="help_button_cvsstorage"
					value="#{msg.HELP_TEXT}"
					action="#{cvs_help.doStorageAdapterHelp}" immediate="true">
				</h:commandButton>
			</h:panelGrid>
	
</hx:panelBox>	

</f:subview>
