<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<f:subview id="ethernetDialogView">
<hx:panelBox id="createEthernetDialogbox" layout="pageDirection">
<usmc:messageBox id="name_messagebox_dialog"
							               messageCollection="#{messageBoxBean.messages}"
							               styleClass="taskInfo"
							               immediate="true"
							               closeLinkVisible="false"
							               closeListener="#{messageBoxBean.handleClose}"
							               />
														
							<h:panelGrid>
							<h:outputText value="#{msg.CR_ETH_ADAP_PANEL_TEXT}"/>	
							</h:panelGrid>
							
							<h:outputText value="<P></P>" escape="false"/>
							<h:panelGrid>
							<usmc:outputLabel for="ethadapterId" id="adapterIdlbl" value="#{msg.CR_ETH_ADAP_ID_TEXT}"/> 
							<h:inputText id="ethadapterId" value="#{vios_pagecode.ethernetAdapter.adapterId}" maxlength="9" onkeypress="return isNumber(event, this.id, '');"/>
							<usmc:outputLabel for="portvlanId" id="portvlanIdlbl" value="#{msg.CR_ETH_ADAP_PVID_TEXT}"/> 
							<h:inputText id="portvlanId" value="#{vios_pagecode.ethernetAdapter.pvid}" maxlength="9" onkeypress="return isNumber(event, this.id, '');"/>
							</h:panelGrid>
							
							<h:outputText value="<P></P>" escape="false"/>
							
							<h:panelGrid>
								<h:outputText value="#{msg.CR_ETH_ADAP_IEEE_TEXT}" styleClass="headerText"/>
								<h:outputText value="#{msg.CR_ETH_ADAP_IEEE_DESC}" styleClass="outputText"/>
							</h:panelGrid>
							
							<h:panelGrid id="ieepanelId">
							
							<hx:ajaxRefreshSubmit id="dialogRefesh"/>
							
							<h:panelGrid columns="3">
							
							<h:selectBooleanCheckbox id="ieeecompid" value="#{vios_pagecode.ethernetAdapter.ieeeCompatible}">
								<hx:behavior event="onclick" targetAction="ieepanelId" behaviorAction="get;stop"/>
								</h:selectBooleanCheckbox>
								<usmc:outputLabel for="ieeecompid" value="#{msg.CR_ETH_ADAP_IEEE_COMP_TEXT}"/>
							</h:panelGrid>							
														
							<h:panelGrid columns="2" styleClass="columnEthAdapAlign">
							<usmc:outputLabel for="maxvlanid" value="#{msg.CR_ETH_ADAP_EX_TEXT}"/>
							<h:outputText value="#{vios_pagecode.maxVLANSPerPort}" id="maxvlanid"/>
							</h:panelGrid>
							
							
							<hx:panelBox layout="pageDirection" styleClass="columnEthAdapAlign">
							<usmc:outputLabel value="#{msg.CR_ETH_ADAP_MAXVLAN_TEXT}" />
							<h:panelGrid columns="2">
								<h:inputText value="#{vios_pagecode.ethernetAdapter.additionalVLANs}" id="additionalvlanids" disabled="#{!vios_pagecode.ethernetAdapter.ieeeCompatible}"/>
								<h:outputText value="#{msg.CR_ETH_ADAP_ADDVLAB_TEXT}"/>
							</h:panelGrid>
							</hx:panelBox>
										
							</h:panelGrid>
							
							<h:outputText value="<br>" escape="false"/>
							
							<h:panelGrid id="seapanelid">
							
							<hx:ajaxRefreshSubmit id="dialogSEARefesh"/>
							
							<h:panelGrid>
								<h:outputText value="#{msg.CR_ETH_ADAP_SEA_TEXT}" styleClass="headerText"/>
								<h:outputText value="#{msg.CR_ETH_ADAP_SEC_DESC}" styleClass="outputText"/>
							</h:panelGrid>
							
							<h:panelGrid columns="3">
							<h:selectBooleanCheckbox id="bridgeid" value="#{vios_pagecode.ethernetAdapter.bridged}">
								<hx:behavior event="onclick" targetAction="seapanelid" behaviorAction="get;stop"/>
							</h:selectBooleanCheckbox>
							<usmc:outputLabel for="bridgeid" value="#{msg.CR_ETH_ADAP_BRIDGE_TEXT}"/>
							</h:panelGrid>
							
							<hx:panelBox layout="pageDirection" styleClass="columnEthAdapAlign">
							<usmc:outputLabel value="#{msg.CR_ETH_ADAP_PRIORITY_TEXT}" />
							<h:panelGrid columns="2">
								<h:inputText id="priorityID" value="#{vios_pagecode.ethernetAdapter.priority}" disabled="#{!vios_pagecode.ethernetAdapter.bridged}" maxlength="3" onkeypress="return isNumber(event, this.id, '');"/>
								<h:outputText value="#{msg.CR_ETH_ADAP_PRI_EX_TEXT}"/>
							</h:panelGrid>
							</hx:panelBox>
							
							</h:panelGrid>
							
							<h:panelGrid id="VSwitchPanel" rendered="#{vios_pagecode.renderVSwitchPanel}">
							<h:outputText value="<P>" escape="false"/>
							
							<h:panelGrid>
								<h:outputText value="#{msg.CR_ETH_ADAP_SWITCH_TEXT}" styleClass="headerText"/>
							</h:panelGrid>
							
							<h:panelGrid columns="2">
								 <h:outputText value="#{msg.CR_ETH_ADAP_SWITCH_LBL}"/>
								 <h:selectOneMenu value="#{vios_pagecode.ethernetAdapter.vswitchName}">
								 	<f:selectItems value="#{vios_pagecode.vswitchs}"/>
								 </h:selectOneMenu>
							</h:panelGrid>
							
							</h:panelGrid>
										
							<h:outputText value="<P>" escape="false"/>
							<h:panelGrid columns="3">
							<hx:commandExButton action="#{vios_pagecode.createEthernetAdapterSubmit}" value="#{msg.OK_TEXT}" type="submit">
							<hx:behavior event="onclick" targetAction="createAdapterPanelDialog;networkPanel" behaviorAction="hide;get;stop"/>
							</hx:commandExButton>
							
							<hx:commandExButton value="#{msg.CANCEL_TEXT}" action="#{vios_pagecode.createEthernetAdapterCancel}" type="submit">
							<hx:behavior event="onclick" targetAction="createAdapterPanelDialog;networkPanel" behaviorAction="hide;get;stop"/>
							</hx:commandExButton>
							
							<h:commandButton id="help_button_cvseth"
								value="#{msg.HELP_TEXT}"
								action="#{cvs_help.doEthAdapterHelp}" immediate="true">
							</h:commandButton>
							</h:panelGrid>

</hx:panelBox>
</f:subview>