<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<hx:panelBox layout="pageDirection" id="storagePanel" width="100%" cellpadding="0" cellspacing="0" border="0">

<h:inputText value="#{storageadap_cs_pagecode.sortSTRGColumn}" style="display : none" id="stroageSortColumn"/>

<hx:panelDialog id="querydiskBusydialog" showTitleCloseButton="false" title="#{msg.CRT_VIR_DISK_DIALOG_TITLE}">

	<h:panelGrid columns="3">
	<hx:graphicImageEx id="spinImage1k" value="/images/processing.gif"/>
	<h:outputText value="&nbsp;" escape="false" id="opttext31j"></h:outputText>
	<h:outputText value="#{msg.CRT_VIRDISK_QUERY_TEXT}" escape="false" id="optxt111j"/>	
	</h:panelGrid>
	
	<h:panelGrid rendered="false">
		<hx:commandExButton value="#{msg.CANCEL_TEXT}" action="#{storageadap_cs_pagecode.cancelVDiskOperation}" id="querycancelbutton">
		</hx:commandExButton>
	</h:panelGrid>
</hx:panelDialog>

<hx:panelDialog id="creatediskBusydialog" showTitleCloseButton="false" title="#{msg.CRT_VIR_DISK_DIALOG_TITLE}">
	
	<h:panelGrid columns="3">
	<hx:graphicImageEx id="spinImagecvdisk1" value="/images/processing.gif"/>
	<h:outputText value="&nbsp;" escape="false" id="opttextcvdisk31"></h:outputText>
	<h:outputText value="#{msg.CRT_VIRDISK_CREATE_TEXT}" escape="false" id="optxtcvdisk111"/>	
	</h:panelGrid>
	
</hx:panelDialog>

<h:panelGrid id="displaycvdiskPanelDialog" cellpadding="0" cellspacing="0" border="0">
	<hx:ajaxRefreshSubmit id="dialogPanelRefresh"/>
	<exfaces:script type="text/javascript" value="showDialog();" rendered="#{!storageadap_cs_pagecode.hideDialog}"/>
	
	<hx:commandExButton action="#{storageadap_cs_pagecode.submitCVDisk}" id="vdisksubmitbutton" style="display: none" rendered="#{storageadap_cs_pagecode.submitVDisk}">
		<hx:behavior event="onclick" targetAction="virtualDiskPanel;creatediskBusydialog" behaviorAction="get;hide;stop" id="vsubmitdiskbehavaction"/>
	</hx:commandExButton>
	
	<exfaces:script type="text/javascript" value="submitVDisk();" rendered="#{storageadap_cs_pagecode.submitVDisk}"/>
</h:panelGrid>

<h:panelGrid id="virtualDiskPanel" width="100%">

<usmc:messageBox id="name_messagebox"
                messageCollection="#{messageBoxBean.messages}"
                styleClass="taskInfo"
                immediate="true"
                closeLinkVisible="true"
                helpListener="#{messageBoxBean.handleHelp}"
                closeListener="#{messageBoxBean.handleClose}"
                responseListener="#{messageBoxBean.handleResponse}"
                rendered="#{storageadap_cs_pagecode.hideDialog}"/>

<hx:panelDialog id="createVDiskPanelDialog" rendered="false">						
				</hx:panelDialog>

<h:panelGrid columns="3" rendered="#{storageadap_cs_pagecode.vdiskSelected && !storageadap_cs_pagecode.vdiskAvailable}">
<hx:graphicImageEx id="spinImage" value="/images/processing.gif"/>
<h:outputText value="&nbsp;" escape="false"></h:outputText>
<h:outputText value="#{msg.VIRSTR_INPROG_VDISK_TEXT}"/>
</h:panelGrid>

<hx:ajaxRefreshSubmit id="ajaxRefreshSubmit1" target="virtualDiskPanel">
</hx:ajaxRefreshSubmit>

<hx:panelSection id="virtualDiskPanelSection" styleClass="panelSectionDPSMWide"
			title="#{msg.VIRTUAL_DISKS_HEADER_TEXT}" initClosed="false" rendered="#{storageadap_cs_pagecode.vdiskSelected && storageadap_cs_pagecode.vdiskAvailable}">
			<f:facet name="closed">
				<hx:jspPanel id="id5">
				<hx:graphicImageEx id="id6" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" border="0" hspace="0" vspace="0"/>						
				<h:outputText id="vtext1" value="#{msg.VIRTUAL_DISKS_HEADER_TEXT}"/>
				</hx:jspPanel>
			</f:facet>
			<f:facet name="opened">
				<hx:jspPanel id="id3">
				<hx:graphicImageEx id="id4" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" border="0" hspace="0" vspace="0"/>
					<h:outputText id="vtext2" value="#{msg.VIRTUAL_DISKS_HEADER_TEXT}"/>
				</hx:jspPanel>
			</f:facet>
	
	<h:panelGrid id="vdisktablepanel" width="90%" cellpadding="0" cellspacing="0" border="0">
	
			<hx:ajaxRefreshSubmit id="sortRefresh" />

		<hx:commandExButton value="" action="#{storageadap_cs_pagecode.sortVDiskTable}" style="display : none" id="vdisksortbutton">
							<hx:behavior event="onclick" targetAction="vdisktablewrapperPanel" behaviorAction="get;stop" target="vdisksortbutton"/>	
			</hx:commandExButton>
	
			<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbarBR,wclDataTableToolbarR" id="toolbarTable" 
			columns="4" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{storageadap_cs_pagecode.vdiskfound}">
			
			<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
							
			<hx:commandExButton styleClass="buttonRegular" id="addvidiskid"
				action="#{storageadap_cs_pagecode.createVirtualDisk}"
				value="#{msg.CRT_VDISK_LBL}">
				<hx:behavior event="onclick" targetAction="querydiskBusydialog;virtualDiskPanel;querydiskBusydialog;displaycvdiskPanelDialog" behaviorAction="show;get;hide;get;stop"/>	
				</hx:commandExButton>
					
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>						
			</h:panelGrid>
			
			<h:panelGrid id="vdisktablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" rendered="#{storageadap_cs_pagecode.vdiskfound}">
			
			<hx:dataTableEx id="vdiskTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{storageadap_cs_pagecode.vdiskDetails}"
					var="vdisklist" width="100%" scrollSize="#{storageadap_cs_pagecode.vdiskScrollSize}">
					
					<hx:columnEx style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="vir_diskSelectlabel" value="#{msg.select}" />
						</h:panelGrid>		
						</f:facet>
						<h:selectBooleanCheckbox value="#{vdisklist.selected}" onclick="handleTableRowSelection('createServer_form:createsvrwizard:AssignVirtualDiskPanel:vdiskTable');"/>
					</hx:columnEx>

					<hx:columnEx id="strgColName">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="vdiskname" value="#{msg.VIRSTR_TBL_COLNAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignVirtualDiskPanel:vdisksortbutton','strgColName','createServer_form:createsvrwizard:AssignVirtualDiskPanel:stroageSortColumn');"/>
							</h:panelGrid>	
													
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vdisklist.name}"/>												
					</hx:columnEx>

					<hx:columnEx id="strgVIOSName">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="vdiskvio"
								value="#{msg.VIRSTR_TBL_VIOSNAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignVirtualDiskPanel:vdisksortbutton','strgVIOSName','createServer_form:createsvrwizard:AssignVirtualDiskPanel:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vdisklist.viosServer}"/>
					</hx:columnEx>

					<hx:columnEx id="strgSizeCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="vdisksize"
								styleClass="outputLabel" value="#{msg.VIRSTR_TBL_SIZE}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignVirtualDiskPanel:vdisksortbutton','strgSizeCol','createServer_form:createsvrwizard:AssignVirtualDiskPanel:stroageSortColumn');"/>
					</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vdisklist.size}"/>
					</hx:columnEx>

					<hx:columnEx id="vdiskStrgPoolName">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="vdiskstoragepool"
								styleClass="outputLabel" value="#{msg.VDISK_TBL_STRPOOL}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignVirtualDiskPanel:vdisksortbutton','vdiskStrgPoolName','createServer_form:createsvrwizard:AssignVirtualDiskPanel:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vdisklist.storagePoolName}" />
					</hx:columnEx>

				</hx:dataTableEx>
				
				</h:panelGrid>
				
				<exfaces:script type="text/javascript" value="alignCol('createServer_form:createsvrwizard:AssignVirtualDiskPanel:vdiskTable');" 
			rendered="#{storageadap_cs_pagecode.vdisktblScrollable}"/>
			
			<exfaces:script type="text/javascript" value="handleTableRowSelection('createServer_form:createsvrwizard:AssignVirtualDiskPanel:vdiskTable');" rendered="#{storageadap_cs_pagecode.vdiskfound}"/>
				
				<h:outputText value="#{storageadap_cs_pagecode.vdiskEmptyString}" rendered="#{!storageadap_cs_pagecode.vdiskfound}"/>
				
				<hx:commandExButton styleClass="buttonRegular" id="createvidiskid"
				action="#{storageadap_cs_pagecode.createVirtualDisk}"
					value="#{msg.CRT_VDISK_LBL}" rendered="#{!storageadap_cs_pagecode.vdiskfound}">
				<hx:behavior event="onclick" targetAction="querydiskBusydialog;virtualDiskPanel;querydiskBusydialog;displaycvdiskPanelDialog" behaviorAction="show;get;hide;get;stop"/>	
				</hx:commandExButton>
				
		</h:panelGrid>
			
</hx:panelSection>

</h:panelGrid>

<h:outputText value="<p>" escape="false" rendered="#{storageadap_cs_pagecode.vdiskSelected}"/>

<h:panelGrid id="phyVolPanel" width="100%" cellpadding="0" cellspacing="0" border="0">

<h:panelGrid columns="3" rendered="#{storageadap_cs_pagecode.physVolSelected && !storageadap_cs_pagecode.pvolAvailable}">
<hx:graphicImageEx id="phyvolspinImage" value="/images/processing.gif"/>
<h:outputText value="&nbsp;" escape="false"></h:outputText>
<h:outputText value="#{msg.VIRSTR_INPROG_PVOL_TEXT}"/>
</h:panelGrid>

<hx:ajaxRefreshSubmit id="ajaxRefreshSubmitphyvol" target="phyVolPanel"></hx:ajaxRefreshSubmit>

<hx:panelSection id="pvolumePanelSection" styleClass="panelSectionDPSMWide"
			title="#{msg.VIRTUAL_DISKS_HEADER_TEXT}" initClosed="false" rendered="#{storageadap_cs_pagecode.physVolSelected && storageadap_cs_pagecode.pvolAvailable}">
			<f:facet name="closed">
				<hx:jspPanel id="id51">
				<hx:graphicImageEx id="id61" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" border="0" hspace="0" vspace="0"/>
						<h:outputText id="vtext11" value="#{msg.PHY_VOL_HEADER_TEXT}"/>
				</hx:jspPanel>
			</f:facet>
			<f:facet name="opened">
				<hx:jspPanel id="id31">
					<hx:graphicImageEx id="id41" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" border="0" hspace="0" vspace="0"/>
					<h:outputText id="vtext21" value="#{msg.PHY_VOL_HEADER_TEXT}"/>	
				</hx:jspPanel>
			</f:facet>			
	
	<h:panelGrid id="pvoltablepanel" width="90%" cellpadding="0" cellspacing="0" border="0">
	
			<hx:ajaxRefreshSubmit id="pvolsortRefresh" />

			<hx:commandExButton value="" action="#{storageadap_cs_pagecode.sortPVolTable}" id="pvolsortbutton" style="display : none">
							<hx:behavior event="onclick" targetAction="pvoltablepanel" behaviorAction="get;stop" target="pvolsortbutton"/>	
			</hx:commandExButton>
			
			<hx:commandExButton style="display : none" id="clearsearchphyvol" action="#{storageadap_cs_pagecode.clearSearchPhyVols}" value="">
				<hx:behavior event="onclick" targetAction="pvoltablepanel" behaviorAction="get;stop"/>	
			</hx:commandExButton>
			
			<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbar,wclDataTableToolbar,
			wclDataTableToolbarBR,wclDataTableToolbarR" id="searchbarTable" 
			columns="6" border="0" cellpadding="0" cellspacing="0" width="100%">
			
			<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
			
			<h:inputText id="searchinputText" value="#{storageadap_cs_pagecode.searchText}" onfocus="focusEvent('createServer_form:createsvrwizard:AssignVirtualDiskPanel:searchinputText');" 
			onblur="blurEvent('createServer_form:createsvrwizard:AssignVirtualDiskPanel:searchinputText');" onkeyup="keyUpEvent('createServer_form:createsvrwizard:AssignVirtualDiskPanel:searchinputText','createServer_form:createsvrwizard:AssignVirtualDiskPanel:searchImage',
			'createServer_form:createsvrwizard:AssignVirtualDiskPanel:searchphyvol');"/>
			
			<hx:commandExButton styleClass="buttonRegular" id="searchphyvol"
				action="#{storageadap_cs_pagecode.searchPhyVols}"
				value="#{msg.SEARCH_TEXT}">
				<hx:behavior event="onclick" targetAction="pvoltablepanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
				
			<hx:graphicImageEx value="/images/searchremoveselected_i.gif" style="display: none;position: relative" id="searchImage" onclick="clearSearch('createServer_form:createsvrwizard:AssignVirtualDiskPanel:clearsearchphyvol','createServer_form:createsvrwizard:AssignVirtualDiskPanel:searchinputText');"/>
								
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>						
			</h:panelGrid>
	
			<h:panelGrid id="pvoldtablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" rendered="#{storageadap_cs_pagecode.phyvolfound}">
			
			<hx:dataTableEx id="pvolTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{storageadap_cs_pagecode.filteredPVolDetails}"
					var="pvollist" width="100%" scrollSize="#{storageadap_cs_pagecode.pvolScrollSize}">
					
					<hx:columnEx style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="pvolSelectlabel" value="#{msg.select}" />
						</h:panelGrid>		
						</f:facet>
						<h:selectBooleanCheckbox value="#{pvollist.selected}" onclick="handleTableRowSelection('createServer_form:createsvrwizard:AssignVirtualDiskPanel:pvolTable');"/>
					</hx:columnEx>

					<hx:columnEx id="pvolTablestrgColName">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="pvolname" value="#{msg.VIRSTR_TBL_COLNAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignVirtualDiskPanel:pvolsortbutton','strgColName','createServer_form:createsvrwizard:AssignVirtualDiskPanel:stroageSortColumn');"/>
					</h:panelGrid>
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{pvollist.name}"/>												
					</hx:columnEx>

					<hx:columnEx id="pvolTablestrgVIOSName">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="pvolio"
								value="#{msg.VIRSTR_TBL_VIOSNAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignVirtualDiskPanel:pvolsortbutton','strgVIOSName','createServer_form:createsvrwizard:AssignVirtualDiskPanel:stroageSortColumn');"/>
					</h:panelGrid>
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{pvollist.viosServer}"/>
					</hx:columnEx>

					<hx:columnEx id="pvolTablestrgSizeCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="pvolsize"
								styleClass="outputLabel" value="#{msg.VIRSTR_TBL_SIZE}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignVirtualDiskPanel:pvolsortbutton','strgSizeCol','createServer_form:createsvrwizard:AssignVirtualDiskPanel:stroageSortColumn');"/>
					</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{pvollist.size}"/>
					</hx:columnEx>

					<hx:columnEx id="pvolTablestrgLocationCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="pvollocationCode"
								styleClass="outputLabel" value="#{msg.VIRSTR_TBL_LOCATION}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignVirtualDiskPanel:pvolsortbutton','strgLocationCol','createServer_form:createsvrwizard:AssignVirtualDiskPanel:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{pvollist.locationCode}" />
					</hx:columnEx>

				</hx:dataTableEx>
				
				<h:outputText value="#{msg.SEARCH_NOPHY_VOL_TEXT}" rendered="#{storageadap_cs_pagecode.emptySearchRecord}"/>
				
				</h:panelGrid>
				
				<exfaces:script type="text/javascript" value="alignCol('createServer_form:createsvrwizard:AssignVirtualDiskPanel:pvolTable');" 
			rendered="#{storageadap_cs_pagecode.pvoltblScrollable}"/>
			
			<exfaces:script type="text/javascript" value="handleTableRowSelection('createServer_form:createsvrwizard:AssignVirtualDiskPanel:pvolTable');
			searchOnLoad('createServer_form:createsvrwizard:AssignVirtualDiskPanel:searchinputText','createServer_form:createsvrwizard:AssignVirtualDiskPanel:searchImage',
			'createServer_form:createsvrwizard:AssignVirtualDiskPanel:searchphyvol','#{msg.DEFAULT_TBL_SRCH_TEXT}')" rendered="#{storageadap_cs_pagecode.phyvolfound}"/>
				
				<h:outputText value="#{storageadap_cs_pagecode.pvolEmptyString}" rendered="#{!storageadap_cs_pagecode.phyvolfound}"/>
				
		</h:panelGrid>
			
</hx:panelSection>

</h:panelGrid>

<h:outputText value="<p>" escape="false" rendered="#{storageadap_cs_pagecode.physVolSelected}"/>

<h:panelGrid id="vfcPanel" width="100%">

<h:panelGrid columns="3" rendered="#{storageadap_cs_pagecode.vfcSelected && !storageadap_cs_pagecode.vfcAvailable}">
<hx:graphicImageEx id="vfcspinImage" value="/images/processing.gif"/>
<h:outputText value="&nbsp;" escape="false"></h:outputText>
<h:outputText value="#{msg.VIRSTR_INPROG_VFC_TEXT}"/>
</h:panelGrid>

<hx:ajaxRefreshSubmit id="ajaxRefreshSubmitVFC" target="vfcPanel"></hx:ajaxRefreshSubmit>

<hx:panelSection id="vfcPanelSection" styleClass="panelSectionDPSMWide"
			title="#{msg.VFC_HEADER_TEXT}" initClosed="false" rendered="#{storageadap_cs_pagecode.vfcSelected && storageadap_cs_pagecode.vfcAvailable}">
			<f:facet name="closed">
				<hx:jspPanel id="id53">
				<hx:graphicImageEx id="id63" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" border="0" hspace="0" vspace="0"/>
						<h:outputText id="vtext13" value="#{msg.VFC_HEADER_TEXT}"/>
				</hx:jspPanel>
			</f:facet>
			<f:facet name="opened">
				<hx:jspPanel id="id33">
				<hx:graphicImageEx id="id43" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" border="0" hspace="0" vspace="0"/>
					<h:outputText id="vtext23" value="#{msg.VFC_HEADER_TEXT}"/>	
				</hx:jspPanel>
			</f:facet>
	
	<h:panelGrid id="vfctablepanel" width="90%">
	
		<hx:ajaxRefreshSubmit id="vfcsortRefresh" />

		<hx:commandExButton value="" action="#{storageadap_cs_pagecode.sortVFCTable}" style="display : none" id="vfcsortbutton">
							<hx:behavior event="onclick" targetAction="vfctablewrapperPanel" behaviorAction="get;stop" target="vfcsortbutton"/>	
			</hx:commandExButton>
	
			<h:panelGrid id="vfctablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" rendered="#{storageadap_cs_pagecode.vfcfound}">	
			
			<hx:dataTableEx id="vfcTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{storageadap_cs_pagecode.vfcDetails}"
					var="vfclist" scrollSize="#{storageadap_cs_pagecode.vfcScrollSize}" width="100%">
					
					<hx:columnEx style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="vfcSelectlabel" value="#{msg.select}" />
						</h:panelGrid>
						</f:facet>
						<h:selectBooleanCheckbox value="#{vfclist.selected}" onclick="handleTableRowSelection('createServer_form:createsvrwizard:AssignVirtualDiskPanel:vfcTable');"
						disabled="#{!vfclist.connAvail}"/>
					</hx:columnEx>

					<hx:columnEx id="vfcTablestrgColName">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="vfcname" value="#{msg.VIRSTR_TBL_COLNAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignVirtualDiskPanel:vfcsortbutton','strgColName','createServer_form:createsvrwizard:AssignVirtualDiskPanel:stroageSortColumn');"/>
						</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vfclist.name}"/>												
					</hx:columnEx>
					
					<hx:columnEx id="vfcTablestrgDescCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="vfcdescription" value="#{msg.VIRSTR_TBL_COLDESC}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignVirtualDiskPanel:vfcsortbutton','strgDescCol','createServer_form:createsvrwizard:AssignVirtualDiskPanel:stroageSortColumn');"/>
						</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vfclist.description}"/>												
					</hx:columnEx>
					
					<hx:columnEx id="vfcTablestrgLocationCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="vfclocation"
								styleClass="outputLabel" value="#{msg.VIRSTR_TBL_LOCATION}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignVirtualDiskPanel:vfcsortbutton','strgLocationCol','createServer_form:createsvrwizard:AssignVirtualDiskPanel:stroageSortColumn');"/>
						</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vfclist.locationCode}"/>
					</hx:columnEx>

					<hx:columnEx id="vfcTablestrgVIOSName">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="vfcvio"
								value="#{msg.VIRSTR_TBL_VIOSNAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignVirtualDiskPanel:vfcsortbutton','strgVIOSName','createServer_form:createsvrwizard:AssignVirtualDiskPanel:stroageSortColumn');"/>
						</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vfclist.viosServer}"/>
					</hx:columnEx>

					<hx:columnEx id="vfcTablevfcConnAvailCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						
						<usmc:outputLabel id="vfcconnavali"
								styleClass="outputLabel" value="#{msg.VFC_TBL_COLAVAILCONN}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignVirtualDiskPanel:vfcsortbutton','vfcConnAvailCol','createServer_form:createsvrwizard:AssignVirtualDiskPanel:stroageSortColumn');"/>
						</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vfclist.availConn}" />
					</hx:columnEx>

				</hx:dataTableEx>
				
				</h:panelGrid>
				
				<exfaces:script type="text/javascript" value="alignCol('createServer_form:createsvrwizard:AssignVirtualDiskPanel:vfcTable');" 
			rendered="#{storageadap_cs_pagecode.vfctblScrollable}"/>
			
			<exfaces:script type="text/javascript" value="handleTableRowSelection('createServer_form:createsvrwizard:AssignVirtualDiskPanel:vfcTable');" rendered="#{storageadap_cs_pagecode.vfcfound}"/>
				
				<h:outputText value="#{msg.VFC_EMPTY_TEXT}" rendered="#{!storageadap_cs_pagecode.vfcfound}"/>
				
		</h:panelGrid>
			
</hx:panelSection>

</h:panelGrid>

</hx:panelBox>