<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1" session="false"%>

<hx:panelBox layout="pageDirection">
<usmc:messageBox id="name_messagebox"
                messageCollection="#{messageBoxBean.messages}"
                styleClass="taskInfo"
                immediate="true"
                closeLinkVisible="true"
                helpListener="#{messageBoxBean.handleHelp}"
                closeListener="#{messageBoxBean.handleClose}"
                responseListener="#{messageBoxBean.handleResponse}"
                />

<h:panelGrid columns="2">
	<usmc:outputLabel id="hostnamelabel" for="hostnameid"
		styleClass="outputLabel" style="min-width:130" value="#{msg.hostName}" />	
	<h:outputText id="hostnameid" value="#{host_config_bean.userDefinedName}" />
</h:panelGrid>

<h:panelGrid columns="1">
	<usmc:outputLabel id="virtualservernamelabel" styleClass="outputLabel"
		for="virtualservernameid" value="#{msg.virtualServerName}" />
	<h:inputText styleClass="inputText" id="virtualServerName" value="#{vs_bean.virtualServerDisplayName}" 
	maxlength="47"/>
</h:panelGrid>

<h:panelGrid columns="1">
	<usmc:outputLabel id="virtualserveridlabel" styleClass="outputLabel"
		for="virtualserverid" value="#{msg.virtualServerId}" />
	<h:inputText id="virtualServerId" styleClass="inputText" value="#{ct_vs_pagecode.virtualServerId}" maxlength="9" onkeypress="return isNumber(event, this.id, '');"/>
</h:panelGrid>

<h:panelGrid id="resources_panel">

<h:panelGrid columns="1">
	<usmc:outputLabel id="virtualserverenvlabel" styleClass="outputLabel"
		for="virtualserverenvid" value="#{msg.virtualServerEnv}" />
	<h:selectOneMenu id="virtualserverenvid" value="#{ct_vs_pagecode.virtualServerEnv}">
		<f:selectItems value="#{ct_vs_pagecode.envs}" />
	</h:selectOneMenu>
</h:panelGrid>

<hx:ajaxRefreshSubmit id="ajRefreshSubmit_Resources"/>
   	  
<hx:behavior id="ajBehavior_Resources" target="virtualserverenvid" event="onchange"
						 behaviorAction="get;stop" targetAction="resources_panel"/>
<hx:behavior id="ajBehavior_Resources1" target="rrCapableid" event="onclick"
						 behaviorAction="get;stop" targetAction="resources_panel"/>
   	  
<hx:behavior id="ajBehavior_Resources2" target="assignallresourcesid" event="onclick"
						 behaviorAction="get;stop" targetAction="resources_panel"/>							 

<h:panelGrid columns="8" rendered="#{!ct_vs_pagecode.viosEnv}">
	<h:selectBooleanCheckbox id="suspendCapableid" value="#{vs_bean.hibernatable}" rendered="#{host_config_bean.suspendCapable && !ct_vs_pagecode.viosEnv}"/>
	<usmc:outputLabel id="suspendCapablelabel"
		styleClass="outputLabel" for="suspendCapableid"
		value="#{msg.hibernatable}" rendered="#{host_config_bean.suspendCapable && !ct_vs_pagecode.viosEnv}"/>	
	<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false" rendered="#{host_config_bean.suspendCapable && !ct_vs_pagecode.viosEnv}"/>
	<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false" rendered="#{host_config_bean.suspendCapable && !ct_vs_pagecode.viosEnv}"/>	
	<h:selectBooleanCheckbox id="rrCapableid" value="#{vs_bean.remoterestarble}" rendered="#{host_config_bean.rrCapable && !(ct_vs_pagecode.viosEnv || ct_vs_pagecode.ibmiEnv) && !ct_vs_pagecode.allResourcesAssign}" />
    <usmc:outputLabel id="rrCapablelabel"
		styleClass="outputLabel" for="rrCapableid"
		value="#{msg.remoterestart}" rendered="#{host_config_bean.rrCapable && !(ct_vs_pagecode.viosEnv || ct_vs_pagecode.ibmiEnv)&&!ct_vs_pagecode.allResourcesAssign}"/>	
</h:panelGrid>

<h:panelGrid columns="2" rendered="#{!(ct_vs_pagecode.viosEnv || (ct_vs_pagecode.ibmiEnv && host_config_bean.processorConfig.i5osCapacityLimited) || ct_vs_pagecode.softMaxEnabled) && !vs_bean.remoterestarble}">
	<h:selectBooleanCheckbox id="assignallresourcesid" value="#{ct_vs_pagecode.allResourcesAssign}"/>
	<usmc:outputLabel id="assignallresourceslabel" styleClass="outputLabel"
		for="assignallresourcesid" value="#{msg.assignAllResources}" />
</h:panelGrid>

</h:panelGrid>

</hx:panelBox>