<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<h:panelGrid id="headerview" columns="9" columnClasses="null,null,null,spacerwidth,null,null,null,spacerwidth,null,null,null" style="white-space:nowrap">
	
	<usmc:outputLabel id="hostnamelbl" for="hostnamevalue" value="#{msg.HOSTNAME_LBL}" styleClass="headerText"/>
	<h:outputText value="&nbsp;&nbsp;" escape="false"/>
	<h:outputText id="hostnamevalue" value="#{host_config.userDefinedName}"/>
		
	<h:outputText value="&nbsp;&nbsp;&nbsp;&nbsp;" escape="false"/>
	
	<usmc:outputLabel id="vsnamelbl" for="vsnamevalue" value="#{msg.VIRTUALSERVERNAME_LBL}" styleClass="headerText"/>
	<h:outputText value="&nbsp;&nbsp;" escape="false"/>
	<h:outputText id="vsnamevalue" value="#{vs_curr_config.virtualServerDisplayName}"/>
		
	<h:outputText value="&nbsp;&nbsp;&nbsp;&nbsp;" escape="false"/>
	
	<h:panelGrid columns="3">
		<usmc:outputLabel id="vsidlbl" for="vsidvalue" value="#{msg.VIRTUALSERVERID_LBL}" styleClass="headerText"/>
		<h:outputText value="&nbsp;&nbsp;" escape ="false"/>
		<h:outputText id="vsidvalue" value="#{vs_curr_config.virtualServerId}"/>
	</h:panelGrid>
	
	<usmc:outputLabel id="environlbl" for="environvalue" value="#{msg.ENV_LBL}" styleClass="headerText"/>
	<h:outputText value="&nbsp;&nbsp;" escape="false"/>
	<h:outputText id="environvalue" value="#{manageServerUIBean.vserverUIEnv}"/>
	
	<h:outputText value="&nbsp;&nbsp;&nbsp;&nbsp;" escape="false"/>
	
	
	<usmc:outputLabel id="statuslbl" for="statusvalue" value="#{msg.STATUS_LBL}" styleClass="headerText"/>
	<h:outputText value="&nbsp;&nbsp;" escape="false"/>
	<h:panelGrid id="headerstatevalcaol" columns="3">
		<h:outputText id="statusvalue" value="#{manageServerUIBean.vserverUIState}" />
		<h:outputText style="white-space: nowrap;" id="rmcavalavalue" value="#{msg.LBL_RMC_AVAIL}" rendered="#{!manageServerUIBean.ibmiEnv && manageServerUIBean.serverStarted && vs_curr_config.dynamicConfigEnabled}"/>
		<h:outputText style="white-space: nowrap;" id="rmcnonavalvalue" value="#{msg.LBL_RMC_NONAVAIL}" rendered="#{!manageServerUIBean.ibmiEnv && manageServerUIBean.serverStarted && !vs_curr_config.dynamicConfigEnabled}"/>
	</h:panelGrid>
	
	<h:outputText value="&nbsp;&nbsp;&nbsp;&nbsp;" escape="false"/>
	
	<h:panelGrid cellpadding="0" cellspacing="0">
	<hx:commandExButton id="taskhiddenButton" action="#{manageServerUIBean.taskSubmit}" style="display:none">	
	</hx:commandExButton>
	
	<h:inputText id="taskhiddeninput" value="#{manageServerUIBean.taskName}" style="display:none"/>
	
	<hx:commandExButton value="#{msg.TASKSHDR_LBL}" styleClass="newFaceDataTableActionButtonExternal" type="button" iconDepressed="/images/JSF_sort_descon.gif" 
	iconNormal="/images/JSF_sort_descon.gif" onclick="displayMenu();" id="dropMenuButton">
	</hx:commandExButton>
	
	<h:panelGrid id="taskpanelMenu" style="display: none;">
		<hx:panelMenu id="taskMenu" vertical="true" styleClass="menu">
			<hx:outputLinkEx onclick="taskclick('ActivateCurrConfig')" rendered="#{manageServerUIBean.serverStopped && manageServerUIBean.activateVSPermission}">
						<h:outputText value="#{msg.LBL_ACTIVATE_CURRCONFIG}"/>
			</hx:outputLinkEx>
			<hx:outputLinkEx onclick="taskclick('ActivateProfile')" rendered="#{manageServerUIBean.serverStopped && manageServerUIBean.activateVSPermission}">
						<h:outputText value="#{msg.LBL_ACTIVATE_PROFILE}"/>
			</hx:outputLinkEx>
			
			<hx:panelMenu id="childMenu1" rendered="#{manageServerUIBean.openVtermPermission || manageServerUIBean.closeVtermPermission}">
				<f:facet name="header">
					<h:outputText value="#{msg.LBL_CONSOLE_WIN}" id="header1"/>
				</f:facet>
				<hx:outputLinkEx onclick="taskclick('OpenTerminal')" rendered="#{!manageServerUIBean.ibmiEnv && manageServerUIBean.openVtermPermission}">
						<h:outputText value="#{msg.LBL_OPEN_TERMINAL}"/>
			</hx:outputLinkEx>
			<hx:outputLinkEx onclick="taskclick('CloseTerminal')" rendered="#{!manageServerUIBean.ibmiEnv && manageServerUIBean.closeVtermPermission}">
						<h:outputText value="#{msg.LBL_CLOSE_TERMINAL}"/>
			</hx:outputLinkEx>
			<hx:outputLinkEx onclick="taskclick('OpendedIBMiTerminal')" rendered="#{manageServerUIBean.ibmiEnv && manageServerUIBean.openVtermPermission}">
						<h:outputText value="#{msg.LBL_OPEN_DEDIBMiTERMINAL}"/>
			</hx:outputLinkEx>
			<hx:outputLinkEx onclick="taskclick('OpenSharedIBMiTerminal')" rendered="#{manageServerUIBean.ibmiEnv && manageServerUIBean.openVtermPermission}">
						<h:outputText value="#{msg.LBL_OPEN_SHAREDIBMiTERMINAL}"/>
			</hx:outputLinkEx>
			</hx:panelMenu>
			
			<hx:outputLinkEx onclick="taskclick('ListScheduledJobs')">
						<h:outputText value="#{msg.LBL_LISTSCHED_JOBS}"/>
			</hx:outputLinkEx>
			
			<hx:panelMenu id="childMenu2" rendered="#{!manageServerUIBean.viosEnv && (!manageServerUIBean.ibmiEnv) && manageServerUIBean.migrateVSPermission}">
				<f:facet name="header">
					<h:outputText value="#{msg.LBL_MOBILITY}" id="header2"/>
				</f:facet>
				<hx:outputLinkEx onclick="taskclick('Migrate')" rendered="#{manageServerUIBean.serverStarted || manageServerUIBean.serverStopped}">
						<h:outputText value="#{msg.LBL_MIGRATE}"/>
			</hx:outputLinkEx>
			<hx:outputLinkEx onclick="taskclick('Validate')" rendered="#{manageServerUIBean.serverStarted || manageServerUIBean.serverStopped}">
						<h:outputText value="#{msg.LBL_VALIDATE}"/>
			</hx:outputLinkEx>
			<hx:outputLinkEx onclick="taskclick('Recover')">
						<h:outputText value="#{msg.LBL_RECOVER}"/>
			</hx:outputLinkEx>
			</hx:panelMenu>
				
			<hx:outputLinkEx onclick="taskclick('Restart')" rendered="#{!manageServerUIBean.serverStopped && manageServerUIBean.restartVSPermission}">
						<h:outputText value="#{msg.LBL_RESTART}"/>
			</hx:outputLinkEx>
			
			<hx:outputLinkEx onclick="taskclick('ReferenceCode')">
						<h:outputText value="#{msg.LBL_REF_CODE}"/>
			</hx:outputLinkEx>
			
			<hx:outputLinkEx onclick="taskclick('SaveCurrConfig')" rendered="#{(manageServerUIBean.serverStarted || manageServerUIBean.serverStopped) && manageServerUIBean.permission}">
						<h:outputText value="#{msg.LBL_SAVE_CURRCONFIG}"/>
			</hx:outputLinkEx>
			
			<hx:outputLinkEx onclick="taskclick('Shutdown')" rendered="#{!manageServerUIBean.serverStopped && manageServerUIBean.shutdownVSPermission}">
						<h:outputText value="#{msg.LBL_SHUTDOWN}"/>
			</hx:outputLinkEx>	
			
			<hx:panelMenu id="childMenu4" rendered="#{host_config.suspendCapable && vs_curr_config.hibernatable && manageServerUIBean.hibernateVSPermission}">
				<f:facet name="header">
					<h:outputText value="#{msg.LBL_SUSPENSION}" id="header4"/>
				</f:facet>
				<hx:outputLinkEx onclick="taskclick('Suspend')" rendered="#{manageServerUIBean.serverStarted}">
						<h:outputText value="#{msg.LBL_SUSPEND}"/>
			</hx:outputLinkEx>
			<hx:outputLinkEx onclick="taskclick('Resume')" rendered="#{manageServerUIBean.serverSuspended}">
						<h:outputText value="#{msg.LBL_RESUME}"/>
			</hx:outputLinkEx>
			<hx:outputLinkEx onclick="taskclick('RecoverFromSuspension')">
						<h:outputText value="#{msg.LBL_RECOVER}"/>
			</hx:outputLinkEx>
			</hx:panelMenu>			
		</hx:panelMenu>
		
		</h:panelGrid>	
	</h:panelGrid>
</h:panelGrid>