<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<hx:panelBox layout="pageDirection" width="100%">	

<hx:panelDialog id="scheduledialog" rendered="false">
</hx:panelDialog>

<h:selectBooleanCheckbox id="jstableActionCheck" value="#{manageServerUIBean.vserverActionEnabled}" style="display:none"/>

<exfaces:script type="text/javascript" value="taskclick('ScheduleTask');" rendered="#{manageServerUIBean.launchSchdUSMiTask}"/>

<hx:commandExButton id="unitchangeButton" style="display: none;" action="#{manageMemoryUIBean.switchMemoryUnit}">
	<hx:behavior event="onclick" targetAction="manageServerPanel" behaviorAction="get;stop"/>
</hx:commandExButton>

<vsmfaces:vtabPanel handler="#{manageServerVTabHandler}" id="manageServerVTab">

		<f:facet name="HeaderSection">
					<f:subview id="HeaderSectionPanel">
						<%@include file="/jsps/manageserver/Header.jsp"%>
					</f:subview>
		</f:facet>
		
		<f:facet name="ManageProcessorPanelFacet">
					<f:subview id="ManageProcessorPanel"
						rendered="#{manageServerVTabHandler.processorPageSelected}">
						<%@include file="/jsps/manageserver/tabs/ManageProcessor.jsp"%>
					</f:subview>
		</f:facet>
		
		<f:facet name="ManageMemoryPanelFacet">
					<f:subview id="ManageMemoryPanel"
						rendered="#{manageServerVTabHandler.memoryPageSelected}">
						<%@include file="/jsps/manageserver/tabs/ManageMemory.jsp"%>
					</f:subview>
		</f:facet>
		
		<f:facet name="ManageNetworkPanelFacet">
					<f:subview id="ManageNetworkPanel"
						rendered="#{manageServerVTabHandler.networkPageSelected}">
						<%@include file="/jsps/manageserver/tabs/ManageNetwork.jsp"%>
					</f:subview>
		</f:facet>
		
		<f:facet name="ManageStoragePanelFacet">
					<f:subview id="ManageStoragePanel"
						rendered="#{manageServerVTabHandler.storagePageSelected}">
						<%@include file="/jsps/manageserver/tabs/ManageStorage.jsp"%>
					</f:subview>
		</f:facet>
		
		<f:facet name="ManageMediaPanelFacet">
					<f:subview id="ManagemediaPanel"
						rendered="#{manageServerVTabHandler.mediaPageSelected}">
						<%@include file="/jsps/manageserver/tabs/ManageMedia.jsp"%>
					</f:subview>
		</f:facet>
		
		<f:facet name="ManageVirAdapPanelFacet">
					<f:subview id="ManageVirAdapPanel"
						rendered="#{manageServerVTabHandler.virtualAdapsPageSelected}">
						<%@include file="/jsps/manageserver/tabs/ManageVirtualAdapters.jsp"%>
					</f:subview>
		</f:facet>
		
		<f:facet name="ManagePhyIOPanelFacet">
					<f:subview id="ManagePhyIOPanel"
						rendered="#{manageServerVTabHandler.phyIOPageSelected}">
						<%@include file="/jsps/manageserver/tabs/ManagePhyIO.jsp"%>
					</f:subview>
		</f:facet>
		
		<f:facet name="ManageSettingsPanelFacet">
					<f:subview id="ManageSettingsPanel"
						rendered="#{manageServerVTabHandler.settingsPageSelected}">
						<%@include file="/jsps/manageserver/tabs/ManageSettings.jsp"%>
					</f:subview>
		</f:facet>
	
	</vsmfaces:vtabPanel>
</hx:panelBox>
