<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<f:subview id="strgVirAdapView">

	<hx:panelBox id="strgVirAdapDialogbox" layout="pageDirection">
	
	<usmc:messageBox id="strgVirAdapMessageBox"
							               messageCollection="#{messageBoxBean.messages}"
							               styleClass="taskInfo"
							               immediate="true"
							               closeLinkVisible="false"
							               closeListener="#{messageBoxBean.handleClose}"
							               />
			
			<h:panelGrid id="panel1">
			<h:outputText id="create_adapter_id1" value="#{msg.LBL_STRGVIRADAP_TEXT} "/>
			</h:panelGrid>
			
			<h:outputText id="outputext56" value="<p>" escape="false"/>
			
			<h:panelGrid id="adapternamepanel">
			
			<hx:ajaxRefreshSubmit id="adapterTypeRefersh"/>
			<h:panelGrid id="panel2">
				<vsmfaces:outputLabel id="create_adapter_id3" value="#{msg.LBL_VIRSTRGADAP_ID}" for="create_adapter_id"  uiproperty="#{manageVirAdaptersUIBean.vadapterDetail.adapterId}"/>
					<vsmfaces:inputText id="create_adapter_id"	required="true" uiproperty="#{manageVirAdaptersUIBean.vadapterDetail.adapterId}" style="width: 150" maxlength="9"/>
			</h:panelGrid>		
	
			<h:panelGrid id="panel3">
				<usmc:outputLabel id="create_adapter_id5" value="#{msg.LBL_VIRSTRGADAP_TYPE}" for="selectOneAdapterType" />
	
				<h:selectOneMenu id="selectOneAdapterType" value="#{manageVirAdaptersUIBean.vadapterDetail.adapterType}">
					<f:selectItems value="#{manageVirAdaptersUIBean.adapterTypes}" />
					<hx:behavior id="ajBehavior_refresh_adapter_type" event="onchange"	behaviorAction="get;stop" targetAction="adapternamepanel" target="selectOneAdapterType"/>
				</h:selectOneMenu>
			</h:panelGrid>
				
			<h:panelGrid rendered="#{manageVirAdaptersUIBean.vadapterDetail.vfcAdapterType}" columns="2" id="wwpninfopanel">
					<usmc:outputLabel for="device_vfc_wwpn" value="#{msg.LBL_VIRSTRG_WWPNTEXT}" id="label1"/>
					<h:outputText id="device_vfc_wwpn" value="#{msg.LBL_VIRSTRG_WWPNTEXT2}" style="font-weight: bold"></h:outputText>
			</h:panelGrid>			
			
			<h:outputText value="<br>" escape="false"/>
			
			<h:outputText id="create_adapter_id8" value="#{msg.LBL_VIRSTRGCONNVSERV_HEADING}"	styleClass="headerText"/>
			
			<h:panelGrid id="connServerPanel" rendered="#{manageVirAdaptersUIBean.vserversAvailable}">
			
				<usmc:outputLabel id="create_adapter_id10"	value="#{msg.LBL_CONNVSERVER}" for="menu2"/>
				
				<h:panelGrid columns="5" id="panel4">
				
				<h:selectOneMenu id="menu2" styleClass="selectOneMenu" value="#{manageVirAdaptersUIBean.vadapterDetail.connVServer}">
						<f:selectItems value="#{manageVirAdaptersUIBean.connVServerList}" />
					<hx:behavior event="onchange" targetAction="panel4" behaviorAction="get;stop" target="menu2"/>
				</h:selectOneMenu>
				
				<h:outputText value="&nbsp;" escape="false"/>
				
				<usmc:outputLabel id="create_adapter_id15"	value="#{msg.LBL_CUSTVSERVER_ID}" for="create_adapter_id16" rendered="#{manageVirAdaptersUIBean.vadapterDetail.customVServer}"/>
				<vsmfaces:inputText id="create_adapter_id16"  maxlength="5" required="true" uiproperty="#{manageVirAdaptersUIBean.vadapterDetail.connVServerId}" rendered="#{manageVirAdaptersUIBean.vadapterDetail.customVServer}" style="width: 150"/>
				
				</h:panelGrid>
				
			</h:panelGrid>	
			
			<h:panelGrid id="panel5" rendered="#{!manageVirAdaptersUIBean.vserversAvailable}">
				<usmc:outputLabel id="create_adapter_id13"	value="#{msg.LBL_CUSTVSERVER_TEXT}" for="create_adapter_id14" />
				<vsmfaces:inputText id="create_adapter_id14"  maxlength="5"  required="true" uiproperty="#{manageVirAdaptersUIBean.vadapterDetail.connVServerId}" style="width: 150"/>
			</h:panelGrid>	
			
			<h:panelGrid id="panel6">	
				<usmc:outputLabel id="create_adapter_id11"	value="#{msg.LBL_CONNADAP_ID}" for="create_adapter_id12" />
				<vsmfaces:inputText id="create_adapter_id12"  maxlength="5" required="true" uiproperty="#{manageVirAdaptersUIBean.vadapterDetail.connVAdapterId}" style="width: 150"/>				
			</h:panelGrid>
			
			</h:panelGrid>			

			<h:panelGrid columns="3" id="panel7">

				<hx:commandExButton value="#{msg.LBL_OK}" action="#{manageVirAdaptersUIBean.createVirtualAdapterSubmit}" id="vadpokadappage">
					<hx:behavior event="onclick" targetAction="virAdapterpanelDialog;manageServerPanel" behaviorAction="hide;get;stop"/>
				</hx:commandExButton>
				
				<hx:commandExButton value="#{msg.LBL_CANCEL}" action="#{manageVirAdaptersUIBean.createVirtualAdapterCancel}" id="vadapcanceladappage">
					<hx:behavior event="onclick" targetAction="virAdapterpanelDialog;manageServerPanel" behaviorAction="hide;get;stop"/>
				</hx:commandExButton>
				
				<h:commandButton id="help_button_mvsstrgAdapter"
					value="#{msg.HELP_TEXT}"
					action="#{mvs_help.doStorageAdapterHelp}" immediate="true">
				</h:commandButton>
			</h:panelGrid>
	
</hx:panelBox>	

</f:subview>
