<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<f:subview id="mediaDialogView">
	<hx:panelBox id="mediaDialogbox" layout="pageDirection" width="900px">
	
			<h:panelGrid cellpadding="0" cellspacing="0" width="100%" id="viosDialogPanel1" rendered="#{manageStorageUIBean.viosDialogRender}">
			<h:outputText id="viosdialogText1" value="#{msg.LBL_VIOSDIALOG_TEXT}"/>
			<h:outputText value="<br>" escape="false"/>
			<h:panelGrid columns="1" cellpadding="0" cellspacing="0" id="mountTypeToAssign" rendered="#{manageStorageUIBean.renderMountType}">
				<usmc:outputLabel id="mountTypeSelectLabel" for="mountTypeSelectOneRadio" value="#{msg.LBL_MOUNT_TYPE}"/>
				<h:selectOneRadio id="mountTypeSelectOneRadio" value="#{manageStorageUIBean.mountTypeAssign}" layout="pageDirection">
				 	<f:selectItem itemValue="0" itemLabel="#{msg.LBL_MOUNT_RO}"/> 
				 	<f:selectItem itemValue="1" itemLabel="#{msg.LBL_MOUNT_RW}"/>
				</h:selectOneRadio>
			</h:panelGrid>
			<h:panelGrid columns="3" cellpadding="0" cellspacing="0">
				<usmc:outputLabel id="viosAssignVSLBL1" for="viosAssignVSDropDown1" value="#{msg.LBL_VIOSDIALOG_VSTEXT}"/>
				<h:outputText value="&nbsp;" escape="false" id="viosAssignSpacerText"/>
				<h:selectOneMenu id="viosAssignVSDropDown1" value="#{manageStorageUIBean.selectedVServer}">
					<f:selectItems value="#{manageStorageUIBean.viosVServerList}"/>
				</h:selectOneMenu>
			</h:panelGrid>
			
			<h:outputText value="<br>" escape="false"/>
			<h:panelGrid columns="3">
				<hx:commandExButton
				action="#{manageStorageUIBean.dialogSubmission}" value="#{msg.LBL_OK}" type="submit">
				<hx:behavior event="onclick"
					targetAction="mediaPanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>


				<hx:commandExButton value="#{msg.LBL_CANCEL}"
					action="#{manageStorageUIBean.dialogCancel}"
					type="submit" immediate="true">
					<hx:behavior event="onclick"
					targetAction="mediaPanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>
				
				<h:commandButton id="help_button_mvsmediavios"
					value="#{msg.HELP_TEXT}"
					action="#{mvs_help.doMediaAssignHelp}" immediate="true">
				</h:commandButton>
			</h:panelGrid>
			
		</h:panelGrid>
	
		<h:panelGrid cellpadding="0" cellspacing="0" width="100%" id="phyOptDialogPanel" rendered="#{manageStorageUIBean.phyMediaDialogRender}">
		
		<h:outputText id="poptdialogText" value="#{msg.LBL_PMEDIADIALOG_TEXT}"/>
			<h:outputText escape="false" value="<p>" id="poptlDlgSpacerText"/>
		<h:panelGrid id="poptdialogtablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder">
			
			<hx:dataTableEx id="poptdialogTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageStorageUIBean.availPhyMedias}"
					var="pmedialist" width="100%">
					
					<hx:columnEx style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="pmediaSelectlabel" value="#{msg.LBL_TBL_SELECT}" />
						</h:panelGrid>		
						</f:facet>
						<h:selectBooleanCheckbox value="#{pmedialist.name.selected}" onclick="handleDialogTableRowSelection('manageServer_form:mediaDialogView:poptdialogTable');"/>
					</hx:columnEx>

					<hx:columnEx id="pmediaNameCol">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="pmedianame" value="#{msg.LBL_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:mediaDialogView:vdisksortbutton','pvolname','manageServer_form:mediaDialogView:stroageSortColumn');"/>
							</h:panelGrid>	
													
						</f:facet>
						<vsmfaces:outputText styleClass="outputText" uiproperty="#{pmedialist.name}"/>												
					</hx:columnEx>
					
					<hx:columnEx id="pmediaDescriptionCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="pmediades"
								styleClass="outputLabel" value="#{msg.LBL_DESCRIPTION}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:mediaDialogView:vdisksortbutton','strgSizeCol','manageServer_form:mediaDialogView:stroageSortColumn');"/>
					</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{pmedialist.description}"/>
					</hx:columnEx>

					<hx:columnEx id="pmediaVIOSName">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="pmediavio"
								value="#{msg.LBL_VIOS_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:mediaDialogView:pvolsortbutton','strgVIOSName','manageServer_form:mediaDialogView:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{pmedialist.viosServerIdString}"/>
					</hx:columnEx>
					
					<hx:columnEx id="pmedialoccol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="pmedialocation"
								styleClass="outputLabel" value="#{msg.LBL_PHYLOC}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:mediaDialogView:vdisksortbutton','vdiskStrgPoolName','manageServer_form:mediaDialogView:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{pmedialist.locationCode}" />
					</hx:columnEx>

				</hx:dataTableEx>
				
			</h:panelGrid>
		
		<h:outputText value="<P>" escape="false" />
			<h:panelGrid columns="3">
				<hx:commandExButton
				action="#{manageStorageUIBean.dialogSubmission}"
				value="#{msg.LBL_OK}" type="submit">
				<hx:behavior event="onclick"
					targetAction="mediaPanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>


				<hx:commandExButton value="#{msg.LBL_CANCEL}"
					action="#{manageStorageUIBean.dialogCancel}"
					type="submit" immediate="true">
					<hx:behavior event="onclick"
					targetAction="mediaPanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>
				
				<h:commandButton id="help_button_mvspmedia"
					value="#{msg.HELP_TEXT}"
					action="#{mvs_help.doPhyMediaHelp}" immediate="true">
				</h:commandButton>
			</h:panelGrid>
		</h:panelGrid>
		
		<%-- This is virt media section --%>
		
	
		<h:panelGrid cellpadding="0" cellspacing="0" width="100%" id="virOptDialogPanel" rendered="#{manageStorageUIBean.virMediaDialogRender}">
		
		<h:outputText id="voptdialogText1" value="#{msg.LBL_VMEDIADIALOG_TEXT}"/>
			<h:outputText escape="false" value="<p>" id="voptlDlgSpacerText1"/>
		<h:panelGrid id="voptdialogtablewrapperPanel1" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder">
			
			<hx:dataTableEx id="voptdialogTable1" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageStorageUIBean.availVirMedias}"
					var="vmedialist" width="100%">
					
					<hx:columnEx style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="vir_mediaSelectlabel1" value="#{msg.LBL_TBL_SELECT}" />
						</h:panelGrid>		
						</f:facet>
						<h:selectBooleanCheckbox value="#{vmedialist.name.selected}" onclick="handleDialogTableRowSelection('manageServer_form:mediaDialogView:voptdialogTable1');"/>
					</hx:columnEx>

					<hx:columnEx id="strgVMediaNamed">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="vmedianamed" value="#{msg.LBL_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:mediaDialogView:vdisksortbutton','strgColName','manageServer_form:mediaDialogView:stroageSortColumn');"/>
							</h:panelGrid>	
													
						</f:facet>
						<vsmfaces:outputText styleClass="outputText" uiproperty="#{vmedialist.name}"/>												
					</hx:columnEx>

					<hx:columnEx id="mediaVIOSNamed" rendered="#{!manageServerUIBean.viosEnv}">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="vmediavio"
								value="#{msg.LBL_VIOS_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:mediaDialogView:vdisksortbutton','strgVIOSName','manageServer_form:mediaDialogView:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vmedialist.viosServerIdString}"/>
					</hx:columnEx>
					
					<hx:columnEx id="vmediaAssignVSNamed" rendered="#{manageServerUIBean.viosEnv}">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="vmediaassignedName"
								value="#{msg.LBL_ASSIGNED_VS}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:mediaDialogView:vdisksortbutton','strgVIOSName','manageServer_form:mediaDialogView:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vmedialist.clientServerName}"/>
					</hx:columnEx>

					<hx:columnEx id="vmediaSizeCold">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="vmediasize"
								styleClass="outputLabel" value="#{msg.LBL_SIZE}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:mediaDialogView:vdisksortbutton','strgSizeCol','manageServer_form:mediaDialogView:stroageSortColumn');"/>
					</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vmedialist.size}"/>
					</hx:columnEx>

					<hx:columnEx id="vmediaAccessd">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="vmediaAccess1"
								styleClass="outputLabel" value="#{msg.LBL_ACCESS_STATE}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:mediaDialogView:vdisksortbutton','vdiskStrgPoolName','manageServer_form:mediaDialogView:stroageSortColumn');"/>
						</h:panelGrid>
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vmedialist.mountType}" />
					</hx:columnEx>
					
					<hx:columnEx id="vmediaVtdCol" rendered="#{!manageServerUIBean.viosEnv}">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="vmediavtd"
								styleClass="outputLabel" value="#{msg.LBL_VIRT_TARGET_DEV}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:mediaDialogView:vdisksortbutton','strgSizeCol','manageServer_form:mediaDialogView:stroageSortColumn');"/>
					</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vmedialist.optical}"/>
					</hx:columnEx>

			</hx:dataTableEx>
				
		</h:panelGrid>
		
		<%-- This is end of virt media sec --%>
		
		
		<h:outputText value="<P>" escape="false" />
			<h:panelGrid columns="3">
				<hx:commandExButton
				action="#{manageStorageUIBean.dialogSubmission}"
				value="#{msg.LBL_OK}" type="submit">
				<hx:behavior event="onclick"
					targetAction="mediaPanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>


				<hx:commandExButton value="#{msg.LBL_CANCEL}"
					action="#{manageStorageUIBean.dialogCancel}"
					type="submit" immediate="true">
					<hx:behavior event="onclick"
					targetAction="mediaPanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>
				
				<h:commandButton id="help_button_mvsmediaclient"
					value="#{msg.HELP_TEXT}"
					action="#{mvs_help.doAddMediaHelp}" immediate="true">
				</h:commandButton>
			</h:panelGrid>
	</h:panelGrid>
			
			<%-- This is load dialog start --%>
		
		<h:panelGrid cellpadding="0" cellspacing="0" width="100%" id="mediaLoadDialogPanel1" rendered="#{manageStorageUIBean.loaddialogRenderer}">
			<h:outputText id="modifyMediadialogText1" value="#{msg.LBL_VMEDIA_SELECTONE}"/>
			<h:outputText value="&nbsp;" escape="false" id="virtTargetDevName" value="#{manageStorageUIBean.vtdToBeModified}"/>
			<h:outputText value="<br>" escape="false"/>
			<h:panelGrid id="mediaDropDwnPanelGrid1" columns="3" cellpadding="0" cellspacing="0">
				<usmc:outputLabel id="mediaLoadVSLBL1" for="mediaLoadDropDown" value="#{msg.LBL_VMEDIA_HEADER}"/>
				<h:outputText value="&nbsp;" escape="false" id="mediaLoadSpacerText"/>
				<h:selectOneMenu id="mediaLoadDropDown" value="#{manageStorageUIBean.selectedMedia}">
					<f:selectItems value="#{manageStorageUIBean.vmediaList}"/>
				</h:selectOneMenu>
			</h:panelGrid>
			
			<h:outputText value="<br>" escape="false"/>
			<h:panelGrid columns="3">
				<hx:commandExButton
				action="#{manageStorageUIBean.dialogSubmission}" value="#{msg.LBL_OK}" type="submit">
				<hx:behavior event="onclick"
					targetAction="mediaPanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>


				<hx:commandExButton value="#{msg.LBL_CANCEL}"
					action="#{manageStorageUIBean.dialogCancel}"
					type="submit" immediate="true">
					<hx:behavior event="onclick"
					targetAction="mediaPanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>
				
				<h:commandButton id="help_button_mvsmodifymedia"
					value="#{msg.HELP_TEXT}"
					action="#{mvs_help.doModifyMediaHelp}" immediate="true">
				</h:commandButton>
			</h:panelGrid>
		</h:panelGrid>
		
		<%-- This is end of load dialog --%>	
		
		<exfaces:script type="text/javascript" value="alignCol('manageServer_form:mediaDialogView:vdiskTable');" 
			rendered="false"/>		
		<exfaces:script type="text/javascript" value="alignCol('manageServer_form:mediaDialogView:vdiskTable');" 
			rendered="false"/>					
		
	</hx:panelBox>
</f:subview>