<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<f:subview id="ethernetDialogDispProps">
	<hx:panelBox id="ethernetDialogbox" layout="pageDirection">
		<usmc:messageBox id="name_messagebox_dialog"
			messageCollection="#{messageBoxBean.messages}" styleClass="taskInfo"
			immediate="true" closeLinkVisible="false"
			closeListener="#{messageBoxBean.handleClose}" />

		<h:panelGrid>
			<h:outputText value="#{msg.LBL_ETHDIALOG_TEXT}" />
		</h:panelGrid>

		<h:outputText value="<P></P>" escape="false" />
		<h:panelGrid columns="2">
			<usmc:outputLabel for="ethadapterId" id="adapterIdlbl" value="#{msg.LBL_ADAPTERDIALOGVIEW}"/>
			<h:outputText id="ethadapterId" value="#{manageVirAdaptersUIBean.ethernetAdapter.adapterIdString.value}"/>
			<usmc:outputLabel for="portvlanId" id="portvlanIdlbl" value="#{msg.LBL_ETHDIALOG_PVID}"/>
			<h:outputText id="portvlanId" value="#{manageVirAdaptersUIBean.ethernetAdapter.pvid.value}"/>
		</h:panelGrid>

		<h:outputText value="<P></P>" escape="false" />

		<h:panelGrid>
			<h:outputText value="#{msg.LBL_ETHDIALOG_IEEE}"
				styleClass="headerText" />
		</h:panelGrid>

		<h:outputText value="<P></P>" escape="false" />

		<h:panelGrid id="ieepanelId">

			<h:panelGrid columns="2" styleClass="columnEthAdapAlign">
			<usmc:outputLabel for="ieeecompid"
					value="#{msg.LBL_ETHDIALOGVIEW_IEEECOMP}" id="ieeecomplabelid"/>
			<vsmfaces:outputText id="ieeecompid" uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.ieeeCompatible}"/>	 	
			</h:panelGrid>

			<h:panelGrid columns="2" styleClass="columnEthAdapAlign">
				<usmc:outputLabel value="#{msg.LBL_ETHDIALOG_MAXVLAN}" id="addVlanOutputLabel" for="additionalvlanids"/>
				<vsmfaces:outputText uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.additionalVLANS}" id="additionalvlanids" />
			</h:panelGrid>

		</h:panelGrid>

		<h:panelGrid id="seapanelid">

			<h:panelGrid>
				<h:outputText value="#{msg.LBL_ETHDIALOG__SEA}"
					styleClass="headerText" />
			</h:panelGrid>

			<h:panelGrid columns="2" styleClass="columnEthAdapAlign">
				<usmc:outputLabel for="bridgeid"
					value="#{msg.LBL_ETHDIALOGVIEW__BRIDGE}" />
				<vsmfaces:outputText uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.bridged}" id="bridgeid"/>
			</h:panelGrid>

			<h:panelGrid columns="2" styleClass="columnEthAdapAlign">
				<usmc:outputLabel value="#{msg.LBL_ETHDIALOG_PRIORITY}" id="priorityLabel" for="priorityID"/>
				<h:outputText id="priorityID"
						value="#{manageVirAdaptersUIBean.ethernetAdapter.priority.value}"/>
			</h:panelGrid>

		</h:panelGrid>

		<h:panelGrid id="VSwitchPanel">
			<h:outputText value="<P>" escape="false" />

			<h:panelGrid>
				<h:outputText value="#{msg.LBL_ETHDIALOG_VSWITCHHEADER}"
					styleClass="headerText" />
			</h:panelGrid>

			<h:panelGrid columns="2">
				<usmc:outputLabel value="#{msg.LBL_ETHDIALOG_VSWITCH}" for="vswitchview"/>
				<h:outputText value="#{manageVirAdaptersUIBean.ethernetAdapter.switchName.value}" id="vswitchview"/>					
			</h:panelGrid>

		</h:panelGrid>

		
		<!--  Expand/collapse section for Advanced Settings -->

				<hx:panelSection id="advancedEthenetPanelSectionView"
					styleClass="panelSectionDPSMWide"
					title="#{msg.LBL_ADVANCED_ETHERNET_SECTION}" initClosed="false" rendered="#{host_config.vsnCapable}">
					<f:facet name="closed">
						<hx:jspPanel id="advVeth1View">
							<hx:graphicImageEx id="pvolid6" align="middle"
								value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif"
								border="0" hspace="0" vspace="0" />
							<h:outputText id="advVethtext1"
								value="#{msg.LBL_ADVANCED_ETHERNET_SECTION}" />
						</hx:jspPanel>
					</f:facet>
					<f:facet name="opened">
						<hx:jspPanel id="advVeth2">
							<hx:graphicImageEx id="advVethid4View" align="middle"
								value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif"
								border="0" hspace="0" vspace="0" />
							<h:outputText id="advVethtext2"
								value="#{msg.LBL_ADVANCED_ETHERNET_SECTION}" />
						</hx:jspPanel>
					</f:facet>

				<h:panelGrid id="macAddressPanelStartedLparView" columns="2" styleClass="columnEthAdapAlign">
					<vsmfaces:outputLabel id="macAddressLabelStartedLparView" value="#{msg.LBL_MAC_ADDRESS_DISPLAY}" uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.currFormattedMACAddress}" for="macAddressCurrentView"></vsmfaces:outputLabel>
					<vsmfaces:outputText id="macAddressCurrentView" uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.currFormattedMACAddress}" ></vsmfaces:outputText>
				</h:panelGrid>

			<h:panelGrid id="panelQoSView" columns="2" styleClass="columnEthAdapAlign">
						<usmc:outputLabel id="qos" value="#{msg.LBL_QOS_VEA}"
							for="QoSView" />
						<h:outputText id="QoSView" 
							value="#{manageVirAdaptersUIBean.ethernetAdapter.selectedQoSValue}"/>
			</h:panelGrid>

			<h:panelGrid id="macAddressRestrictionView">
				<h:panelGrid id="currMacAddressView" columns="2" styleClass="columnEthAdapAlign">
					<vsmfaces:outputLabel id="macAddressRestrictionLabelView" value="#{msg.LBL_MAC_ADDRESS_RESTRICTION}" for="macAddressRestrictionValueView" uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.selectedMacAddressRestrictionString}"/>
					<vsmfaces:outputText id="macAddressRestrictionValueView" 
							uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.selectedMacAddressRestrictionString}" >
					</vsmfaces:outputText>
				</h:panelGrid>
				<h:panelGrid id="customMacAddressRestrictionPanelView" styleClass="columnEthAdapAlign" rendered="#{manageVirAdaptersUIBean.ethernetAdapter.renderCustomMacRestriction.booleanValue}" columns="2">
					<vsmfaces:outputLabel id="customMacAddressRestrictionLabelView"
						for="customMacAddressRestrictionTextView" value="#{msg.LBL_ALLOWED_MACADDR}"
						uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.currFormattedAllowedMACAddress}" />
					<vsmfaces:outputText id="customMacAddressRestrictionTextView" 
						uiproperty="#{manageVirAdaptersUIBean.ethernetAdapter.currFormattedAllowedMACAddress}"/>
				</h:panelGrid>
			</h:panelGrid>
		</hx:panelSection>
		
		<h:outputText value="<P>" escape="false" />
		<h:panelGrid columns="2">
			<hx:commandExButton value="#{msg.LBL_CLOSE}"
				action="#{manageVirAdaptersUIBean.createEthernetAdapterCancel}"
				type="submit">
				<hx:behavior event="onclick"
					targetAction="ethernetAdapterPanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
			</hx:commandExButton>
			
				<h:commandButton id="help_button_mvsViewEth"
					value="#{msg.HELP_TEXT}"
					action="#{mvs_help.doViewEthAdapterHelp}" immediate="true">
				</h:commandButton>
		</h:panelGrid>
	</hx:panelBox>
</f:subview>
