<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<f:subview id="storageDialogView">
	<hx:panelBox id="storageDialogbox" layout="pageDirection" width="900px">
	
			<h:panelGrid cellpadding="0" cellspacing="0" width="100%" id="viosDialogPanel" rendered="#{manageStorageUIBean.viosDialogRender}">
			<h:outputText id="viosdialogText" value="#{msg.LBL_VIOSDIALOG_TEXT}"/>
			<h:outputText value="<br>" escape="false"/>
			<h:panelGrid columns="3" cellpadding="0" cellspacing="0">
				<usmc:outputLabel id="viosAssignVSLBL" for="viosAssignVSDropDown" value="#{msg.LBL_VIOSDIALOG_VSTEXT}"/>
				<h:outputText value="&nbsp;" escape="false" id="viosAssignSpacerText"/>
				<h:selectOneMenu id="viosAssignVSDropDown" value="#{manageStorageUIBean.selectedVServer}">
					<f:selectItems value="#{manageStorageUIBean.viosVServerList}"/>
				</h:selectOneMenu>
			</h:panelGrid>
			
			<h:outputText value="<br>" escape="false"/>
			<h:panelGrid columns="3">
				<hx:commandExButton
				action="#{manageStorageUIBean.dialogSubmission}" value="#{msg.LBL_OK}" type="submit">
				<hx:behavior event="onclick"
					targetAction="storagePanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>


				<hx:commandExButton value="#{msg.LBL_CANCEL}"
					action="#{manageStorageUIBean.dialogCancel}"
					type="submit" immediate="true">
					<hx:behavior event="onclick"
					targetAction="storagePanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>
				
				<h:commandButton id="help_button_mvsStorageDialogVIOS"
					value="#{msg.HELP_TEXT}"
					action="#{mvs_help.doAssignStorageHelp}" immediate="true">
				</h:commandButton>
			</h:panelGrid>
			
		</h:panelGrid>
		
		
		<h:panelGrid cellpadding="0" cellspacing="0" width="100%" id="virDiskDialogPanel" rendered="#{manageStorageUIBean.virDiskDialogRender}">
			
			<h:outputText id="virDiskdialogText" value="#{msg.LBL_VDISKDIALOG_TEXT}"/>
			<h:outputText escape="false" value="<p>" id="vdskDlgSpacerText"/>
			<h:panelGrid id="vdiskDialogtablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder">
			
			<hx:dataTableEx id="vdiskDialgoTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageStorageUIBean.availVirtualDisks}"
					var="vdisklist" width="100%">
					
					<hx:columnEx style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="dialogvir_diskSelectlabel" value="#{msg.LBL_TBL_SELECT}" />
						</h:panelGrid>		
						</f:facet>
						<h:selectBooleanCheckbox value="#{vdisklist.name.selected}" 
						onclick="handleDialogTableRowSelection('manageServer_form:storageDialogView:vdiskDialgoTable');"/>
					</hx:columnEx>

					<hx:columnEx id="dialogstrgColName">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="dialogvdiskname" value="#{msg.LBL_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:storageDialogView:vdisksortbutton','strgColName','manageServer_form:storageDialogView:stroageSortColumn');"/>
							</h:panelGrid>	
													
						</f:facet>
						<vsmfaces:outputText styleClass="outputText" uiproperty="#{vdisklist.name}"/>												
					</hx:columnEx>

					<hx:columnEx id="dialogstrgVIOSName">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="dialogvdiskvio"
								value="#{msg.LBL_VIOS_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:storageDialogView:vdisksortbutton','strgVIOSName','manageServer_form:storageDialogView:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vdisklist.viosServerIdString}"/>
					</hx:columnEx>

					<hx:columnEx id="dialogstrgSizeCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="dialogvdisksize"
								styleClass="outputLabel" value="#{msg.LBL_SIZE}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:storageDialogView:vdisksortbutton','strgSizeCol','manageServer_form:storageDialogView:stroageSortColumn');"/>
					</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vdisklist.size}"/>
					</hx:columnEx>

					<hx:columnEx id="dialogvdiskStrgPoolName">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="dialogvdiskstoragepool"
								styleClass="outputLabel" value="#{msg.LBL_STRGPOOL_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:storageDialogView:vdisksortbutton','vdiskStrgPoolName','manageServer_form:storageDialogView:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vdisklist.storagePoolName}" />
					</hx:columnEx>

				</hx:dataTableEx>
				
				</h:panelGrid>
				
				<exfaces:script type="text/javascript" value="alignCol('manageServer_form:storageDialogView:vdiskTable');" 
			rendered="false"/>		
			
			<h:outputText value="<P>" escape="false" />
			<h:panelGrid columns="3">
				<hx:commandExButton
				action="#{manageStorageUIBean.dialogSubmission}"
				value="#{msg.LBL_OK}" type="submit">
				<hx:behavior event="onclick"
					targetAction="storagePanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>


				<hx:commandExButton value="#{msg.LBL_CANCEL}"
					action="#{manageStorageUIBean.dialogCancel}"
					type="submit" immediate="true">
					<hx:behavior event="onclick"
					targetAction="storagePanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>
				
				<h:commandButton id="help_button_mvsStorageVDiskDialog"
					value="#{msg.HELP_TEXT}"
					action="#{mvs_help.doAddVDiskStorageHelp}" immediate="true">
				</h:commandButton>
			</h:panelGrid>
		
		</h:panelGrid>
		
		<h:panelGrid cellpadding="0" cellspacing="0" width="100%" id="phyVolDialogPanel" rendered="#{manageStorageUIBean.phyVolDialogRender}">
		
		<h:outputText id="pvoldialogText" value="#{msg.LBL_PVOLDIALOG_TEXT}"/>
			<h:outputText escape="false" value="<p>" id="pvolDlgSpacerText"/>
		<h:panelGrid id="pvoldialogtablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder">
			
			<hx:dataTableEx id="pvoldialogTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageStorageUIBean.availPhyVolumes}"
					var="pvollist" width="100%">
					
					<hx:columnEx style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="pvolSelectlabel" value="#{msg.LBL_TBL_SELECT}" />
						</h:panelGrid>		
						</f:facet>
						<h:selectBooleanCheckbox value="#{pvollist.name.selected}" onclick="handleDialogTableRowSelection('manageServer_form:storageDialogView:pvoldialogTable');"/>
					</hx:columnEx>

					<hx:columnEx id="pvolNameCol">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="pvolname" value="#{msg.LBL_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:storageDialogView:vdisksortbutton','pvolname','manageServer_form:storageDialogView:stroageSortColumn');"/>
							</h:panelGrid>	
													
						</f:facet>
						<vsmfaces:outputText styleClass="outputText" uiproperty="#{pvollist.name}"/>												
					</hx:columnEx>
					
					<hx:columnEx id="pvolSizeCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="pvolsize"
								styleClass="outputLabel" value="#{msg.LBL_SIZE}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:storageDialogView:vdisksortbutton','strgSizeCol','manageServer_form:storageDialogView:stroageSortColumn');"/>
					</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{pvollist.size}"/>
					</hx:columnEx>

					<hx:columnEx id="pvolVIOSName">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="pvolvio"
								value="#{msg.LBL_VIOS_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:storageDialogView:pvolsortbutton','strgVIOSName','manageServer_form:storageDialogView:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{pvollist.viosServerIdString}"/>
					</hx:columnEx>
					
					<hx:columnEx id="pvolloccol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="pvollocation"
								styleClass="outputLabel" value="#{msg.LBL_PHYLOC}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:storageDialogView:vdisksortbutton','vdiskStrgPoolName','manageServer_form:storageDialogView:stroageSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{pvollist.locationCode}" />
					</hx:columnEx>

				</hx:dataTableEx>
				
				</h:panelGrid>
		
		<exfaces:script type="text/javascript" value="alignCol('manageServer_form:storageDialogView:vdiskTable');" 
			rendered="false"/>		
			
			<h:outputText value="<P>" escape="false" />
			<h:panelGrid columns="3">
				<hx:commandExButton
				action="#{manageStorageUIBean.dialogSubmission}"
				value="#{msg.LBL_OK}" type="submit">
				<hx:behavior event="onclick"
					targetAction="storagePanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>


				<hx:commandExButton value="#{msg.LBL_CANCEL}"
					action="#{manageStorageUIBean.dialogCancel}"
					type="submit" immediate="true">
					<hx:behavior event="onclick"
					targetAction="storagePanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>
				
				<h:commandButton id="help_button_mvsStoragePVolDialog"
					value="#{msg.HELP_TEXT}"
					action="#{mvs_help.doAddPVolStorageHelp}" immediate="true">
				</h:commandButton>
					
			</h:panelGrid>
		</h:panelGrid>
		
		<!-- Start of Utility device Dialog Section -->
		
		<h:panelGrid cellpadding="0" cellspacing="0" width="100%" id="UtilityDeviceDialogPanel" rendered="#{manageStorageUIBean.utilityDeviceDialogRender}">
			
			<h:outputText id="utldevdialogText" value="#{msg.LBL_ADDUTILITYDEVICE_TITLE}"/>
			<h:outputText escape="false" value="<p>" id="utldvcDlgSpacerText"/>
			<h:panelGrid id="utldvcDialogtablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder">
			
			<hx:dataTableEx id="utilityDeviceDialgoTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageStorageUIBean.availPgDevices}"
					var="utldevlist" width="100%">
					
					<hx:columnEx style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="dialogutl_devSelectlabel" value="#{msg.LBL_TBL_SELECT}" />
						</h:panelGrid>		
						</f:facet>
						<h:selectBooleanCheckbox value="#{utldevlist.name.selected}" disabled="false" onclick="radioButtonClick(this);">
                         </h:selectBooleanCheckbox>         
					</hx:columnEx>

					<hx:columnEx id="dialogDeviceColName">
						<f:facet name="header">
						
						<h:panelGrid columns="1" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="dialogpgdevicename" value="#{msg.LBL_NAME}" />
							</h:panelGrid>	
													
						</f:facet>
						<h:outputText styleClass="outputText" value="#{utldevlist.deviceName}"/>												
					</hx:columnEx>

					<hx:columnEx id="dialogpsdevSize">
						<f:facet name="header">
						<h:panelGrid columns="1" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="dialogvpgdevsize"
								value="#{msg.LBL_SIZE}" />
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{utldevlist.deviceSize}"/>
					</hx:columnEx>

					<hx:columnEx id="dialogpgdevViosCol">
						<f:facet name="header">
						<h:panelGrid columns="1" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="dialogpgdevvios"
								styleClass="outputLabel" value="#{msg.LBL_VIOS_NAME}" />
					</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{utldevlist.viosName}"/>
					</hx:columnEx>

				</hx:dataTableEx>
				
				</h:panelGrid>
				
				<exfaces:script type="text/javascript" value="alignCol('manageServer_form:storageDialogView:vdiskTable');" 
			rendered="false"/>		
			
			<h:outputText value="<P>" escape="false" />
			<h:panelGrid columns="2">
				<hx:commandExButton
				action="#{manageStorageUIBean.dialogSubmission}"
				value="#{msg.LBL_OK}" type="submit">
				<hx:behavior event="onclick"
					targetAction="storagePanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>


				<hx:commandExButton value="#{msg.LBL_CANCEL}"
					action="#{manageStorageUIBean.dialogCancel}"
					type="submit" immediate="true">
					<hx:behavior event="onclick"
					targetAction="storagePanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>
			</h:panelGrid>
		
		</h:panelGrid>
		
		<!-- End of Utility device Dialog Section -->
		
		<h:panelGrid cellpadding="0" cellspacing="0" width="100%" id="fibChannelDialogPanel" rendered="#{manageStorageUIBean.fibChannelDialogRender}">
		
			<h:panelGrid id="viosvfcDialog" cellpadding="0" cellspacing="0" rendered="#{manageServerUIBean.viosEnv}" styleClass="newFaceDataTableBorder" >
				
				<hx:dataTableEx id="viosvfcdialogTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageStorageUIBean.vfcVirServerDetails}"
					var="vserverlist" width="100%" rendered="#{manageStorageUIBean.assignfibChannelDialogRender}">
					
					<hx:columnEx style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="vfcSelectlabel" value="#{msg.LBL_TBL_SELECT}" />
						</h:panelGrid>
						</f:facet>
						<h:selectBooleanCheckbox value="#{vserverlist.selected}" onclick="handleDialogTableRowSelection('manageServer_form:storageDialogView:viosvfcdialogTable');"/>
					</hx:columnEx>

					<hx:columnEx id="viosdialogVSName">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="vfcdialogVSname" value="#{msg.LBL_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:storageDialogView:vfcsortbutton','strgColName','manageServer_form:storageDialogView:stroageSortColumn');"/>
						</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vserverlist.virtualServerIdString}"/>												
					</hx:columnEx>					
				</hx:dataTableEx>
				
				<hx:dataTableEx id="viosConfigvfcdialogTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageStorageUIBean.vfcConfigVirServerDetails}"
					var="vserverlist" scrollSize="#{manageStorageUIBean.vfcConfigvirServerTblScrollSize}" width="100%" rendered="#{!manageStorageUIBean.assignfibChannelDialogRender}">
					
					<hx:columnEx style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="vfcConfigSelectlabel" value="#{msg.LBL_TBL_SELECT}" />
						</h:panelGrid>
						</f:facet>
						<h:selectBooleanCheckbox value="#{vserverlist.selected}" onclick="handleDialogTableRowSelection('manageServer_form:storageDialogView:vfcTable');"/>
					</hx:columnEx>

					<hx:columnEx id="viosConfigdialogVSName">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="vfcConfigdialogVSname" value="#{msg.LBL_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:storageDialogView:vfcsortbutton','strgColName','manageServer_form:storageDialogView:stroageSortColumn');"/>
						</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vserverlist.virtualServerIdString}"/>												
					</hx:columnEx>					
				</hx:dataTableEx>
								
			</h:panelGrid>
			
			
			<h:panelGrid id="vfcdialogPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" 
			rendered="#{!manageServerUIBean.viosEnv}">	
			
			<hx:dataTableEx id="vfcdialogTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageStorageUIBean.availFibreChannels}"
					var="vfclist" width="100%">
					
					<hx:columnEx style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="vfcSelectlabel" value="#{msg.LBL_TBL_SELECT}" />
						</h:panelGrid>
						</f:facet>
						<h:selectBooleanCheckbox value="#{vfclist.name.selected}" onclick="handleDialogTableRowSelection('manageServer_form:storageDialogView:vfcdialogTable');"
						disabled="#{!vfclist.connAvail}"/>
					</hx:columnEx>

					<hx:columnEx id="viosdialogVFCName">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="vfcdialogname" value="#{msg.LBL_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:storageDialogView:vfcsortbutton','strgColName','manageServer_form:storageDialogView:stroageSortColumn');"/>
						</h:panelGrid>							
						</f:facet>
						<vsmfaces:outputText styleClass="outputText"
							uiproperty="#{vfclist.name}"/>												
					</hx:columnEx>
					
					<hx:columnEx id="viosvfcdialogDescCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="viosvfcdialogdesclbl" value="#{msg.LBL_DESCRIPTION}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:storageDialogView:vfcsortbutton','strgColName','manageServer_form:storageDialogView:stroageSortColumn');"/>
						</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vfclist.description}"/>												
					</hx:columnEx>
				
				<hx:columnEx id="viosvfcdialoglocCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="viosvfcdialogloclbl" value="#{msg.LBL_PHYLOC}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:storageDialogView:vfcsortbutton','strgColName','manageServer_form:storageDialogView:stroageSortColumn');"/>
						</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vfclist.locationCode}"/>												
					</hx:columnEx>
				
				<hx:columnEx id="viosvfcdialogtotportCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="viosvfcdialogtotportlbl" value="#{msg.LBL_TOTALPORT}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:storageDialogView:vfcsortbutton','strgColName','manageServer_form:storageDialogView:stroageSortColumn');"/>
						</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vfclist.totalConn}"/>												
					</hx:columnEx>
					
				</hx:dataTableEx>
			</h:panelGrid>
			
			<h:outputText value="<P>" escape="false" />
			<h:panelGrid columns="3">
				<hx:commandExButton
				action="#{manageStorageUIBean.dialogSubmission}"
				value="#{msg.LBL_OK}" type="submit">
				<hx:behavior event="onclick"
					targetAction="storagePanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>


				<hx:commandExButton value="#{msg.LBL_CANCEL}"
					action="#{manageStorageUIBean.dialogCancel}"
					type="submit" immediate="true">
					<hx:behavior event="onclick"
					targetAction="storagePanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>
				
				<h:commandButton id="help_button_mvsStoragefcDialog"
					value="#{msg.HELP_TEXT}"
					action="#{mvs_help.doAddFCStorageHelp}" immediate="true">
				</h:commandButton>
			</h:panelGrid>
				
		</h:panelGrid>	
	</hx:panelBox>
</f:subview>	