<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1" session="false"%>
<portlet:defineObjects />

<f:subview id="EditProcsSubView">
<f:loadBundle
	basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerGenericResource"
	var="msg" />

	<hx:panelBox id="EditDialogbox" layout="pageDirection" >
			
	<!-- Processing Mode Radio buttons -->
	<h:panelGrid id="proc_edit_panel">
		
		<h:panelGrid id="panelModeRadio" styleClass="panelGrid"
			rendered="#{!processorSettingsBean.active && processorSettingsBean.dedicatedModeAllowed}"
			width="100%">
			<h:outputText id="radioTableTitle" styleClass="outputText"
				style="font-weight:bold"
				value="#{msg['ProcessorProperties.ModeText']}"></h:outputText>
			<exfaces:selectOneRadio id="selectModeRadioEdit" layout="pageDirection"
				styleClass="selectOneRadio"
				rendered="#{!processorSettingsBean.active}"
				value="#{processorSettingsBean.processingMode}" immediate="true"
				valueChangeListener="#{processorSettingsBean.handleSelectionChange}">
				<f:selectItem
					itemLabel="#{msg['ProcessorProperties.ModeDedicated']}"
					itemValue="#{processorSettingsBean.dedicatedKey}" />
				<f:selectItem itemLabel="#{msg['ProcessorProperties.ModeShared']}"
					itemValue="#{processorSettingsBean.sharedKey}" />
				<exfaces:autoFocus id="procModeRadio_AutoFocus"/>
			</exfaces:selectOneRadio>
			
		</h:panelGrid>
		<hx:behavior id="ajBehavior_Proc" target="selectModeRadioEdit"
				event="onclick" behaviorAction="get;stop"
				targetAction="proc_edit_panel" />
       
		<!--  Processing Units Table -->
		<h:panelGrid id="sharedProcessingUnitsBoxE" styleClass="panelGrid"
			width="100%" columns="2"
			rendered="#{!processorSettingsBean.dedicatedMode}">
			<h:outputText id="processingUnitsTableTitleE" styleClass="outputText"
				style="font-weight:bold"
				value="#{msg['ProcessorProperties.Processingunits']}"></h:outputText>
			<h:outputText escape="false" value="&nbsp;&nbsp;&nbsp;&nbsp;" />

			<usmc:outputLabel id="labelSharedMinProcUnitsE"
				styleClass="outputText" value="#{msg['ProcessorProperties.MinProcessorText']}"
				for="txtMinSharedProcsUnitsE"></usmc:outputLabel>
			<h:inputText id="txtMinSharedProcsUnitsE"
				value="#{processorSettingsBean.pendMinProcUnits}"
				disabled="#{processorSettingsBean.active}" maxlength="10" size="10" required="true">
				<f:converter converterId="UsmiDouble" />
				<f:attribute name="fieldName"
					value="#{msg['ProcessorProperties.Min']}" />
			</h:inputText>

			<usmc:outputLabel id="labelSharedAssignProcUnitsE"
				styleClass="outputText" value="#{msg['ProcessorProperties.AssignProcessorText']}"
				for="txtAssignSharedProcsUnitsE"></usmc:outputLabel>
			<h:inputText id="txtAssignSharedProcsUnitsE"
				value="#{processorSettingsBean.pendAssignProcUnits}" maxlength="10" size="10"
				required="true">
				<f:converter converterId="UsmiDouble" />
				<f:attribute name="fieldName"
					value="#{msg['ProcessorProperties.Assign']}" />
			</h:inputText>

			<usmc:outputLabel id="labelSharedMaxProcsUnitsE"
				styleClass="outputText" value="#{msg['ProcessorProperties.MaxProcessorText']}"
				for="txtSharedMaxProcsUnitsE"></usmc:outputLabel>
			<h:inputText id="txtSharedMaxProcsUnitsE"
				value="#{processorSettingsBean.pendMaxProcUnits}"
				disabled="#{processorSettingsBean.active}" maxlength="10" size="10" required="true">
				<f:converter converterId="UsmiDouble" />
				<f:attribute name="fieldName"
					value="#{msg['ProcessorProperties.Max']}" />
			</h:inputText>

		</h:panelGrid>


		<!--  Virtual procs Table -->
		<h:panelGrid id="virtualProcessorGridE" styleClass="panelGrid"
			columns="2" width="100%" rendered="#{!processorSettingsBean.dedicatedMode}">

			<h:outputText id="virtualProcessorTableTitleE" styleClass="outputText"
				style="font-weight:bold"
				value="#{msg['ProcessorProperties.VirtualProcs']}"
				rendered="#{!processorSettingsBean.dedicatedMode}"></h:outputText>
			<h:outputText escape="false" value="&nbsp;&nbsp;&nbsp;&nbsp;" />

			<usmc:outputLabel id="labelMinVProcsE" styleClass="outputText"
				value="#{msg['ProcessorProperties.MinProcessorText']}" for="txtMinVProcsE"></usmc:outputLabel>
			<h:inputText id="txtMinVProcsE"
				value="#{processorSettingsBean.pendMinVProcs}"
				disabled="#{processorSettingsBean.active}" maxlength="10" size="10" required="true">
				<f:converter converterId="UsmiNumber" />
				<f:validator validatorId="NumericRange" />
				<f:attribute name="fieldName"
					value="#{msg['ProcessorProperties.Min']}" />
			</h:inputText>

			<usmc:outputLabel id="labelAssignVProcsE" styleClass="outputText"
				value="#{msg['ProcessorProperties.AssignProcessorText']}" for="txtAssignVProcsE"></usmc:outputLabel>
			<h:inputText id="txtAssignVProcsE"
				value="#{processorSettingsBean.pendAssignVProcs}" maxlength="10" size="10"
				required="true">
				<f:converter converterId="UsmiNumber" />
				<f:validator validatorId="NumericRange" />
				<f:attribute name="fieldName"
					value="#{msg['ProcessorProperties.Assign']}" />
			</h:inputText>

			<usmc:outputLabel id="labelMaxVProcsE" styleClass="outputText"
				value="#{msg['ProcessorProperties.MaxProcessorText']}" for="txtMaxVProcsE"></usmc:outputLabel>
			<h:inputText id="txtMaxVProcsE"
				value="#{processorSettingsBean.pendMaxVProcs}"
				disabled="#{processorSettingsBean.active}" maxlength="10" size="10" required="true">
				<f:converter converterId="UsmiNumber" />
				<f:validator validatorId="NumericRange" />
				<f:attribute name="fieldName"
					value="#{msg['ProcessorProperties.Max']}" />
			</h:inputText>
		</h:panelGrid>

		<!--  Dedicated Table -->
		<h:panelGrid id="dedicatedProcessorGridE" styleClass="panelGrid"
			columns="2" width="100%" rendered="#{processorSettingsBean.dedicatedMode}">

			<h:outputText id="ProcessorTableTitleE" styleClass="outputText"
				style="font-weight:bold"
				value="#{msg['ProcessorProperties.DedicatedText']}"></h:outputText>
			<h:outputText escape="false" value="&nbsp;&nbsp;&nbsp;&nbsp;" />

			<usmc:outputLabel id="labelDedMinProcsE" styleClass="outputText"
				value="#{msg['ProcessorProperties.MinProcessorText']}" for="txtMinDedProcsE"></usmc:outputLabel>
			<h:inputText id="txtMinDedProcsE"
				value="#{processorSettingsBean.pendMinDedProcs}"
				disabled="#{processorSettingsBean.active}" maxlength="10" size="10" required="true">
				<f:converter converterId="UsmiNumber" />
				<f:validator validatorId="NumericRange" />
				<f:attribute name="fieldName"
					value="#{msg['ProcessorProperties.Min']}" />
			</h:inputText>

			<usmc:outputLabel id="labelDedAssignProcsE" styleClass="outputText"
				value="#{msg['ProcessorProperties.AssignProcessorText']}" for="txtAssignDedProcsE"></usmc:outputLabel>
			<h:inputText id="txtAssignDedProcsE"
				value="#{processorSettingsBean.pendAssignDedProcs}" maxlength="10" size="10"
				required="true">
				<f:converter converterId="UsmiNumber" />
				<f:validator validatorId="NumericRange" />
				<f:attribute name="fieldName"
					value="#{msg['ProcessorProperties.Assign']}" />
			</h:inputText>

			<usmc:outputLabel id="labelDedMaxProcsE" styleClass="outputText"
				value="#{msg['ProcessorProperties.MaxProcessorText']}" for="txtMaxDedProcsE"></usmc:outputLabel>
			<h:inputText id="txtMaxDedProcsE"
				value="#{processorSettingsBean.pendMaxDedProcs}"
				disabled="#{processorSettingsBean.active}" maxlength="10" size="10" required="true">
				<f:converter converterId="UsmiNumber" />
				<f:validator validatorId="NumericRange" />
				<f:attribute name="fieldName"
					value="#{msg['ProcessorProperties.Max']}" />
			</h:inputText>
		</h:panelGrid>

		<!--Sharing Mode -->
		<h:panelGrid id="pnlSharingModeGridE" styleClass="panelGrid"
			width="100%" columns="1"
			rendered="#{!processorSettingsBean.dedicatedMode}">
			
			<h:outputText id="labelSharedModeE" styleClass="outputText"
				value="#{msg['ProcessorProperties.SharingMode']}"
				style="font-weight:bold"></h:outputText>

			<h:panelGroup id="pnlUncappedE">
				<h:selectBooleanCheckbox id="cbSelectUncappedMode"
					value="#{processorSettingsBean.sharingModeProperties.sharingModeUncapped}"
					valueChangeListener="#{processorSettingsBean.handleUncappedChange}" />
				<usmc:outputLabel id="lblUncappedE" styleClass="outputText"
					value="#{msg['ProcessorProperties.Uncapped']}"
					for="cbSelectUncappedMode"></usmc:outputLabel>

				<h:outputText escape="false" value="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" />
				<h:panelGroup id="pnlWeightE"
					rendered="#{processorSettingsBean.disableUncappedWeight}">
					<usmc:outputLabel id="lblUncappedWeightE" styleClass="outputText"
						value="#{msg['ProcessorProperties.Weight']}"
						for="txtUncappedWeightE"></usmc:outputLabel>
					<h:outputText escape="false" value="&nbsp;&nbsp;" />
					<h:inputText id="txtUncappedWeightE" styleClass="inputText"
						required="true" size="10" maxlength="3"
						value="#{processorSettingsBean.sharingModeProperties.pending}">
						<f:converter converterId="UsmiNumber" />
						<f:validator validatorId="NumericRange" />
						<f:attribute name="min" value="0" />
						<f:attribute name="max" value="255" />
						<f:attribute name="fieldName"
							value="#{msg['ProcessorProperties.Weight']}" />
					</h:inputText>
				</h:panelGroup>
				
			</h:panelGroup>
			
		</h:panelGrid>
		<hx:behavior id="ajBehavior_UnCap" target="cbSelectUncappedMode"
					event="onclick" behaviorAction="get;stop"
					targetAction="pnlSharingModeGridE" />
		<hx:ajaxRefreshSubmit id="ajRefreshSubmit_ModeE" target="pnlSharingModeGridE;proc_edit_panel" />
		
		<h:panelGroup id="pnlDedicatedProcessorTableE"
			rendered="#{processorSettingsBean.dedicatedMode}">
			<!--  Processor Sharing CheckBoxes -->
			<hx:panelBox id="panelModeSharingCheckBoxesE" width="100%">
				<h:panelGrid id="pnlCheckBoxesProcessorSharingE" columns="2"
					cellspacing="0" rendered="#{!processorSettingsBean.active}"
					width="100%">
					<h:outputText id="processorShareTextE" style="font-weight:bold"
						value="#{msg['ProcessorProperties.ProcessorShareText']}"></h:outputText>
					<h:outputText escape="false" value="&nbsp;&nbsp;&nbsp;&nbsp;" />

					<usmc:outputLabel id="lblAllowPartitionInactiveE"
						styleClass="outputText"
						value="#{msg['ProcessorProperties.Inactive']}"
						for="cbAllowPartitionInactiveE"></usmc:outputLabel>

					<h:selectBooleanCheckbox id="cbAllowPartitionInactiveE"
						value="#{processorSettingsBean.sharingProcInActive}" />

						<usmc:outputLabel id="lblAllowPartitionActiveE"
							styleClass="outputText"
							value="#{msg['ProcessorProperties.Active']}"
							for="cbAllowPartitionActiveE" rendered="#{processorSettingsBean.sharedDedCapable}"></usmc:outputLabel>
						<h:selectBooleanCheckbox id="cbAllowPartitionActiveE"
							rendered="#{processorSettingsBean.sharedDedCapable}"
							value="#{processorSettingsBean.sharingProcActive}" />
				</h:panelGrid>
			</hx:panelBox>
		</h:panelGroup>
		<!--Sharing Pool -->
		<h:panelGrid id="pnlSettingsGridE" styleClass="panelGrid" columns="2"
			width="100%">

			<usmc:outputLabel id="labelSharedProcPoolE" styleClass="outputText"
				style="font-weight:bold"
				value="#{msg['ProcessorProperties.SharedProcessorPoolEdit']}"
				for="selectSharingPoolCombined"
				rendered="#{!processorSettingsBean.dedicatedMode && processorSettingsBean.sharedPoolCapable}"></usmc:outputLabel>
			<h:selectOneMenu id="selectSharingPoolCombined"
				styleClass="selectOneMenu"
				value="#{processorSettingsBean.sharingPoolProperties.selectedPool}"
				rendered="#{!processorSettingsBean.dedicatedMode && processorSettingsBean.sharedPoolCapable}">
				<f:selectItems
					value="#{processorSettingsBean.sharingPoolProperties.cofiguredPools}" />
			</h:selectOneMenu>

			<usmc:outputLabel id="labelComapatibilityModesE"
				styleClass="outputText" style="font-weight:bold"
				value="#{msg['ProcessorProperties.CompatibilityMode']}"
				for="selectComapatibilityModesE"
				rendered="#{processorSettingsBean.compatibiltyModeCapable && (!processorSettingsBean.active)}"></usmc:outputLabel>
			<h:selectOneMenu id="selectComapatibilityModesE"
				styleClass="selectOneMenu"
				value="#{processorSettingsBean.currentCompatibilityMode}"
				rendered="#{processorSettingsBean.compatibiltyModeCapable && (!processorSettingsBean.active)}">
				<f:selectItems
					value="#{processorSettingsBean.compatibilityModeList}" />
			</h:selectOneMenu>
		</h:panelGrid>
		<hx:behaviorKeyPress key="Enter" id="behaviorKeyPress2" behaviorAction="stop" targetAction="" target="proc_edit_panel"></hx:behaviorKeyPress>
		</h:panelGrid>
		<h:panelGrid id= "pnlCommandBtnsE" columns="2" cellspacing="5">
			<hx:commandExButton id="editOk" value="#{msg['CommandButton.OK']}"
				action="#{EditProcPropertiesTask.submit}">
			<hx:behavior event="onclick" behaviorAction="get;stop" targetAction=""/>
			</hx:commandExButton>
			<hx:commandExButton id="editCancel" value="#{msg['CommandButton.Cancel']}"
				action="#{EditProcPropertiesTask.cancel}" immediate="true">
			<hx:behavior event="onclick" behaviorAction="get;stop" targetAction=""/>	
			</hx:commandExButton>
		</h:panelGrid>
	</hx:panelBox>
</f:subview>
