<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<hx:panelBox layout="pageDirection" id="opticalStroragePanel" width="100%" cellpadding="0" cellspacing="0" border="0" rendered="#{manageStorageUIBean.renderOpticalPage}">
<h:outputText value="<p><p>" escape="false"/>
<usmc:messageBox id="media_messagebox"
                messageCollection="#{manageMediaBean.messages}"
                styleClass="taskInfo"
                immediate="true"
                closeLinkVisible="false"
                />
<h:inputText value="#{manageStorageUIBean.sortSTRGColumn}" style="display : none" id="mediaSortColumn"/>                
<hx:ajaxRefreshSubmit id="ajaxRefreshSubmit1"/>

<hx:panelDialog id="mediaPanelDialog" rendered="false">						
				</hx:panelDialog> 

<h:panelGrid width="100%" id="managePhyMediaPanel">

<hx:panelSection id="physicalmediaPanelSection" styleClass="panelSectionDPSMWide" initClosed="false">
			<f:facet name="closed">
				<hx:jspPanel id="pmediaid5">
				<hx:graphicImageEx id="pmediaid6" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" border="0" hspace="0" vspace="0"/>						
				<h:outputText id="pmediatext1" value="#{msg.LBL_PHYOPT_HEADER}" title="#{msg.LBL_PVOLSHEADER}"/>
				</hx:jspPanel>
			</f:facet>
			<f:facet name="opened">
				<hx:jspPanel id="pmediaid3">
				<hx:graphicImageEx id="pmediaid4" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" border="0" hspace="0" vspace="0"/>
					<h:outputText id="pmediatext2" value="#{msg.LBL_PHYOPT_HEADER}" title="#{msg.LBL_PVOLSHEADER}"/>
				</hx:jspPanel>
			</f:facet>				               

<h:panelGrid columns="3" rendered="#{!manageStorageUIBean.phyOptDevAvailable}" id="vpanel2">
<hx:graphicImageEx id="pmediapinImage" value="/images/processing.gif"/>
<h:outputText value="&nbsp;" escape="false"></h:outputText>
<h:outputText value="#{manageStorageUIBean.pmediaStatusString}"/>
</h:panelGrid>

<h:panelGrid id="pmediatablepanel" width="90%" cellpadding="0" cellspacing="0" border="0">
	
		<hx:ajaxRefreshSubmit id="pmediasortRefresh" />

		<hx:commandExButton value="" action="#{manageStorageUIBean.sortPVolTable}" style="display : none" id="pmediasortbutton">
							<hx:behavior event="onclick" targetAction="pmediatablewrapperPanel" behaviorAction="get;stop" target="pmediasortbutton"/>	
			</hx:commandExButton>
	
			<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbar,wclDataTableToolbar,
			wclDataTableToolbarBR,wclDataTableToolbarR" id="pmediatoolbarTable" 
			columns="8" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageStorageUIBean.phyOptDevFound && manageServerUIBean.permission}">
			
			<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
							
			<hx:commandExButton styleClass="buttonRegular" id="addPhymedia1"
				action="#{manageStorageUIBean.launchMediaDialog}"
				value="#{msg.LBL_ADD_ADAPTER}" actionListener="#{manageStorageUIBean.launchDialogPanelEvent}" rendered="#{!manageServerUIBean.viosEnv}" disabled="#{manageStorageUIBean.availPMediaEmpty}">
				<hx:behavior event="onclick" targetAction="opticalStroragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
			<hx:commandExButton styleClass="buttonRegular" id="delPhymedia"
				action="#{manageStorageUIBean.deleteDevices}"
				value="#{msg.LBL_REMOVE_ADAPTER}" actionListener="#{manageStorageUIBean.deleteDevicesEvent}" rendered="#{!manageServerUIBean.viosEnv}">
				<hx:behavior event="onclick" targetAction="manageServerPanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
			<hx:commandExButton styleClass="buttonRegular" id="assignPhymedia"
				action="#{manageStorageUIBean.launchMediaDialog}"
				value="#{msg.LBL_VIOS_ASSIGN}" actionListener="#{manageStorageUIBean.launchDialogPanelEvent}" rendered="#{manageServerUIBean.viosEnv}">
				<hx:behavior event="onclick" targetAction="opticalStroragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
			<hx:commandExButton styleClass="buttonRegular" id="unAssignPhymedia"
				action="#{manageStorageUIBean.deleteDevices}"
				value="#{msg.LBL_VIOS_UNASSIGN}" actionListener="#{manageStorageUIBean.deleteDevicesEvent}" rendered="#{manageServerUIBean.viosEnv}">
				<hx:behavior event="onclick" targetAction="manageServerPanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
				
			<hx:commandExButton styleClass="buttonRegular" id="refreshphyMedia"
				action="#{manageMediaBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageMediaBean.refreshEvent}">
				<hx:behavior event="onclick" targetAction="opticalStroragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>				
					
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>						
			</h:panelGrid>
			
			<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbarBR,wclDataTableToolbarR" id="pmediatoolbarTableP" 
			columns="4" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageStorageUIBean.phyOptDevFound && (!manageServerUIBean.permission)}">
			
			<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
			<hx:commandExButton styleClass="buttonRegular" id="refreshphyMediaPerm"
				action="#{manageMediaBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageMediaBean.refreshEvent}">
				<hx:behavior event="onclick" targetAction="opticalStroragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>				
					
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>						
			</h:panelGrid>
			
			<h:panelGrid id="pmediatablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" 
			rendered="#{manageStorageUIBean.phyOptDevFound}">
			
			<hx:dataTableEx id="pmediaTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageStorageUIBean.phyMedias}"
					var="pmedialist" width="100%" scrollSize="#{manageStorageUIBean.phyOptScrollSize}">
					
					<hx:columnEx rendered="#{manageServerUIBean.permission}" style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="pmediaSelectlabel" value="#{msg.LBL_TBL_SELECT}" />
						</h:panelGrid>		
						</f:facet>
						<h:selectBooleanCheckbox value="#{pmedialist.name.selected}"  onclick="
						handleStorageRowTaskSelection('ManagemediaPanel:pmediaTable','ManagemediaPanel:delPhymedia',null,null);
						handleStorageRowTaskSelection('ManagemediaPanel:pmediaTable','ManagemediaPanel:assignPhymedia','ManagemediaPanel:unAssignPhymedia',null);"/>
					</hx:columnEx>

					<hx:columnEx id="pmediaNameCol">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="pmedianame" value="#{msg.LBL_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManagemediaPanel:pmediasortbutton','strgColName','manageServer_form:ManageServerVTabView:ManagemediaPanel:mediaSortColumn');"/>
							</h:panelGrid>	
													
						</f:facet>
						<vsmfaces:outputText styleClass="outputText" uiproperty="#{pmedialist.name}"/>												
					</hx:columnEx>
					

					<hx:columnEx id="pmediaVIOSName" rendered="#{!manageServerUIBean.viosEnv}">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="pvolvio"
								value="#{msg.LBL_VIOS_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManagemediaPanel:pmediasortbutton','strgVIOSName','manageServer_form:ManageServerVTabView:ManagemediaPanel:mediaSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{pmedialist.viosServerIdString}"/>
					</hx:columnEx>
					
					
					<hx:columnEx id="pmediaAssignVSName" rendered="#{manageServerUIBean.viosEnv}">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="pvolassignedName"
								value="#{msg.LBL_ASSIGNED_VS}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManagemediaPanel:pmediasortbutton','strgAssignVSName','manageServer_form:ManageServerVTabView:ManagemediaPanel:mediaSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<vsmfaces:outputText styleClass="outputText"
							value="#{pmedialist.clientServerName}"/>
					</hx:columnEx>

					<hx:columnEx id="pmediaDescriptionCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="pmediades"
								styleClass="outputLabel" value="#{msg.LBL_DESCRIPTION}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManagemediaPanel:pmediasortbutton','strgSizeCol','manageServer_form:ManageServerVTabView:ManagemediaPanel:mediaSortColumn');"/>
					</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{pmedialist.description}"/>
					</hx:columnEx>

					<hx:columnEx id="pmedialoccol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="pmedialocation"
								styleClass="outputLabel" value="#{msg.LBL_PHYLOC}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManagemediaPanel:pmediasortbutton','strgLocationCol','manageServer_form:ManageServerVTabView:ManagemediaPanel:mediaSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{pmedialist.locationCode}" />
					</hx:columnEx>

				</hx:dataTableEx>
				
				</h:panelGrid>
				
				<exfaces:script type="text/javascript" value="alignCol('manageServer_form:ManageServerVTabView:ManagemediaPanel:pmediaTable');" 
			rendered="#{manageStorageUIBean.phyOpttblScrollable}"/>
			
			<exfaces:script type="text/javascript" value="handleStorageRowTaskSelection('ManagemediaPanel:pmediaTable','ManagemediaPanel:delPhymedia',null,null);
						handleStorageRowTaskSelection('ManagemediaPanel:pmediaTable','ManagemediaPanel:assignPhymedia','ManagemediaPanel:unAssignPhymedia',null);" rendered="#{manageStorageUIBean.phyOptDevFound}"/>
				
				<h:outputText value="#{manageStorageUIBean.phyoptEmptyString}" rendered="#{!manageStorageUIBean.phyOptDevFound && manageStorageUIBean.phyOptDevAvailable}"/>
				
				<hx:commandExButton styleClass="buttonRegular" id="addphymedia2"
				action="#{manageStorageUIBean.launchMediaDialog}"
				value="#{msg.LBL_ADD_ADAPTER}" actionListener="#{manageStorageUIBean.launchDialogPanelEvent}" rendered="#{!(manageServerUIBean.viosEnv || 
				manageStorageUIBean.phyOptMediaEmpty || manageStorageUIBean.phyOptDevFound) && manageStorageUIBean.phyOptDevAvailable && manageServerUIBean.permission}">
				<hx:behavior event="onclick" targetAction="opticalStroragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
				
				<h:outputText value="<br>" escape="false" rendered="#{!manageStorageUIBean.phyOptDevFound && manageStorageUIBean.phyOptDevAvailable}"/>
				<h:outputText value="#{msg.LBL_REFRESH_PHYMEDIA}" rendered="#{!manageStorageUIBean.phyOptDevFound && manageStorageUIBean.phyOptDevAvailable}"/>
				<hx:commandExButton styleClass="buttonRegular" id="addrefreshphyMedia"
				action="#{manageMediaBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageMediaBean.refreshEvent}" rendered="#{!manageStorageUIBean.phyOptDevFound && manageStorageUIBean.phyOptDevAvailable}">
				<hx:behavior event="onclick" targetAction="opticalStroragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
				
		</h:panelGrid>                
</hx:panelSection>



<hx:panelSection id="virtualMediaPanelSection" styleClass="panelSectionDPSMWide" initClosed="false">
			<f:facet name="closed">
				<hx:jspPanel id="id5">
				<hx:graphicImageEx id="id6" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" border="0" hspace="0" vspace="0"/>						
				<h:outputText id="vtext1" value="#{msg.LBL_VMEDIA_HEADER}" title="#{msg.LBL_VDISKSHEADER}"/>
				</hx:jspPanel>
			</f:facet>
			<f:facet name="opened">
				<hx:jspPanel id="id3">
				<hx:graphicImageEx id="id4" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" border="0" hspace="0" vspace="0"/>
					<h:outputText id="vtext2" value="#{msg.LBL_VMEDIA_HEADER}" title="#{msg.LBL_VDISKSHEADER}"/>
				</hx:jspPanel>
			</f:facet>				               

<h:panelGrid columns="3" rendered="#{!manageStorageUIBean.vmediaDevAvailable}" id="vpanel1">
<hx:graphicImageEx id="spinImage" value="/images/processing.gif"/>
<h:outputText value="&nbsp;" escape="false"></h:outputText>
<h:outputText value="#{manageStorageUIBean.vmediaStatusString}"/>
</h:panelGrid>

<h:panelGrid id="vmediatablepanel" width="90%" cellpadding="0" cellspacing="0" border="0">
	
		<hx:ajaxRefreshSubmit id="sortRefresh" />

		<hx:commandExButton value="" action="#{manageStorageUIBean.sortVMediaTable}" style="display : none" id="vmediasortbutton">
							<hx:behavior event="onclick" targetAction="vmediatablewrapperPanel" behaviorAction="get;stop" target="vmediasortbutton"/>	
			</hx:commandExButton>
	
			<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbar,wclDataTableToolbar,wclDataTableToolbar,
			wclDataTableToolbarBR,wclDataTableToolbarR" id="vmediatoolbarTable" 
			columns="8" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageStorageUIBean.vmediaDevFound && manageServerUIBean.permission}">
			
			<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
							
			<hx:commandExButton styleClass="buttonRegular" id="addVirtualMedia"
				action="#{manageStorageUIBean.launchMediaDialog}"
				value="#{msg.LBL_ADD_ADAPTER}" actionListener="#{manageStorageUIBean.launchDialogPanelEvent}" rendered="#{!manageServerUIBean.viosEnv}" disabled="#{manageStorageUIBean.availvMediaEmpty}">
				<hx:behavior event="onclick" targetAction="opticalStroragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
			<hx:commandExButton styleClass="buttonRegular" id="delVirtualMedia"
				action="#{manageStorageUIBean.deleteDevices}"
				value="#{msg.LBL_REMOVE_ADAPTER}" actionListener="#{manageStorageUIBean.deleteDevicesEvent}" rendered="#{!manageServerUIBean.viosEnv}">
				<hx:behavior event="onclick" targetAction="manageServerPanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
				
			<hx:commandExButton styleClass="buttonRegular" id="loadVirtualMedia"
				action="#{manageStorageUIBean.launchMediaDialog}"
				value="#{msg.LBL_MODIFY_ADAPTER}" actionListener="#{manageStorageUIBean.launchDialogPanelEvent}" rendered="#{!manageServerUIBean.viosEnv}">
				<hx:behavior event="onclick" targetAction="opticalStroragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
				
			<hx:commandExButton styleClass="buttonRegular" id="assignVirtualMedia"
				action="#{manageStorageUIBean.launchMediaDialog}"
				value="#{msg.LBL_VIOS_ASSIGN}" actionListener="#{manageStorageUIBean.launchDialogPanelEvent}" rendered="#{manageServerUIBean.viosEnv}">
				<hx:behavior event="onclick" targetAction="opticalStroragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
			<hx:commandExButton styleClass="buttonRegular" id="unAssignVirtualMedia"
				action="#{manageStorageUIBean.deleteDevices}"
				value="#{msg.LBL_VIOS_UNASSIGN}" actionListener="#{manageStorageUIBean.deleteDevicesEvent}" rendered="#{manageServerUIBean.viosEnv}">
				<hx:behavior event="onclick" targetAction="manageServerPanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
			
			<hx:commandExButton styleClass="buttonRegular" id="refreshvirMedia"
				action="#{manageMediaBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageMediaBean.refreshEvent}">
				<hx:behavior event="onclick" targetAction="opticalStroragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>				
					
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>						
			</h:panelGrid>
			
			<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbarBR,wclDataTableToolbarR" id="vmediatoolbarTableP" 
			columns="4" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageStorageUIBean.vmediaDevFound && (!manageServerUIBean.permission)}">
			
			<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
			<hx:commandExButton styleClass="buttonRegular" id="refreshvirMediaPerm"
				action="#{manageMediaBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageMediaBean.refreshEvent}">
				<hx:behavior event="onclick" targetAction="opticalStroragePanel" behaviorAction="get;stop"/>	
			</hx:commandExButton>				
					
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>						
			</h:panelGrid>
			
			<h:panelGrid id="vmediatablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" 
			rendered="#{manageStorageUIBean.vmediaDevFound}">
			
			<hx:dataTableEx id="vmediaTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageStorageUIBean.virMedias}"
					var="vmedialist" width="100%" scrollSize="#{manageStorageUIBean.virOptScrollSize}">
					
					<hx:columnEx rendered="#{manageServerUIBean.permission}" style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel styleClass="outputLabel"
								id="vir_mediaSelectlabel" value="#{msg.LBL_TBL_SELECT}" />
						</h:panelGrid>		
						</f:facet>
						<h:selectBooleanCheckbox value="#{vmedialist.name.selected}" onclick="
						handleStorageRowTaskSelection('ManagemediaPanel:vmediaTable','ManagemediaPanel:assignVirtualMedia','ManagemediaPanel:unAssignVirtualMedia',null);
						handleStorageRowTaskSelection('ManagemediaPanel:vmediaTable','ManagemediaPanel:delVirtualMedia',null,'ManagemediaPanel:loadVirtualMedia');"/>
					</hx:columnEx>

					<hx:columnEx id="strgVMediaName">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel"
								id="vmedianame" value="#{msg.LBL_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManagemediaPanel:vmediasortbutton','strgColName','manageServer_form:ManageServerVTabView:ManagemediaPanel:mediaSortColumn');"/>
							</h:panelGrid>	
													
						</f:facet>
						<vsmfaces:outputText styleClass="outputText" uiproperty="#{vmedialist.name}"/>												
					</hx:columnEx>

					<hx:columnEx id="mediaVIOSName" rendered="#{!manageServerUIBean.viosEnv}">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="vmediavio"
								value="#{msg.LBL_VIOS_NAME}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManagemediaPanel:vmediasortbutton','strgVIOSName','manageServer_form:ManageServerVTabView:ManagemediaPanel:mediaSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vmedialist.viosServerIdString}"/>
					</hx:columnEx>
					
					<hx:columnEx id="vmediaAssignVSName" rendered="#{manageServerUIBean.viosEnv}">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="vmediaassignedName"
								value="#{msg.LBL_ASSIGNED_VS}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManagemediaPanel:vmediasortbutton','strgAssignVSName','manageServer_form:ManageServerVTabView:ManagemediaPanel:mediaSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<vsmfaces:outputText styleClass="outputText"
							value="#{vmedialist.clientServerName}"/>
					</hx:columnEx>

					<hx:columnEx id="vmediaSizeCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="vmediasize"
								styleClass="outputLabel" value="#{msg.LBL_SIZE}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManagemediaPanel:vmediasortbutton','strgSizeCol','manageServer_form:ManageServerVTabView:ManagemediaPanel:mediaSortColumn');"/>
					</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vmedialist.size}"/>
					</hx:columnEx>

					<hx:columnEx id="vmediaAccess">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="vmediaAccess1"
								styleClass="outputLabel" value="#{msg.LBL_ACCESS_STATE}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManagemediaPanel:vmediasortbutton','virOptMountCol','manageServer_form:ManageServerVTabView:ManagemediaPanel:mediaSortColumn');"/>
					</h:panelGrid>
							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vmedialist.mountType}" />
					</hx:columnEx>

					<hx:columnEx id="vmediaVtdCol" rendered="#{!manageServerUIBean.viosEnv}">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="vmediavtd"
								styleClass="outputLabel" value="#{msg.LBL_VIRT_TARGET_DEV}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManagemediaPanel:vmediasortbutton','vmediaVtdCol','manageServer_form:ManageServerVTabView:ManagemediaPanel:mediaSortColumn');"/>
					</h:panelGrid>							
						</f:facet>
						<h:outputText styleClass="outputText"
							value="#{vmedialist.optical}"/>
					</hx:columnEx>
				</hx:dataTableEx>
				
				</h:panelGrid>
				
				<exfaces:script type="text/javascript" value="alignCol('manageServer_form:ManageServerVTabView:ManagemediaPanel:vmediaTable');" 
			rendered="#{manageStorageUIBean.virOpttblScrollable}"/>
			
			<exfaces:script type="text/javascript" value="handleStorageRowTaskSelection('ManagemediaPanel:vmediaTable','ManagemediaPanel:assignVirtualMedia','ManagemediaPanel:unAssignVirtualMedia',null);
						handleStorageRowTaskSelection('ManagemediaPanel:vmediaTable','ManagemediaPanel:delVirtualMedia',null,'ManagemediaPanel:loadVirtualMedia');" rendered="#{manageStorageUIBean.vmediaDevFound}"/>
				
				<h:outputText value="#{manageStorageUIBean.vmediaEmptyString}" rendered="#{!manageStorageUIBean.vmediaDevFound && manageStorageUIBean.vmediaDevAvailable}"/>
				
				<hx:commandExButton styleClass="buttonRegular" id="addnewVirtualMedia"
				action="#{manageStorageUIBean.launchMediaDialog}"
				value="#{msg.LBL_ADD_ADAPTER}" actionListener="#{manageStorageUIBean.launchDialogPanelEvent}" rendered="#{!(manageServerUIBean.viosEnv || 
				manageStorageUIBean.vmediaEmpty || manageStorageUIBean.vmediaDevFound) && manageStorageUIBean.vmediaDevAvailable && manageServerUIBean.permission}">
				<hx:behavior event="onclick" targetAction="opticalStroragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
				
				<h:outputText value="<br>" escape="false" rendered="#{!manageStorageUIBean.vmediaDevFound && manageStorageUIBean.vmediaDevAvailable}"/>
				<h:outputText value="#{msg.LBL_REFRESH_VIRMEDIA}" rendered="#{!manageStorageUIBean.vmediaDevFound && manageStorageUIBean.vmediaDevAvailable}"/>
				<hx:commandExButton styleClass="buttonRegular" id="refreshAddvirMedia"
				action="#{manageMediaBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageMediaBean.refreshEvent}" rendered="#{!manageStorageUIBean.vmediaDevFound && manageStorageUIBean.vmediaDevAvailable}">
				<hx:behavior event="onclick" targetAction="opticalStroragePanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
				
		</h:panelGrid>                
</hx:panelSection>

</h:panelGrid>
</hx:panelBox>

<hx:panelBox layout="pageDirection" id="unAvailMediaStoragePanel" width="70%" cellpadding="0" cellspacing="0" border="0" 
rendered="#{!manageStorageUIBean.renderOpticalPage}">
		<h:outputText value="<p></p>" escape="false"/>
	<h:panelGrid id="unAvailOpticalPanel" width="100%">
		<h:outputText value="#{manageStorageUIBean.unavailTextString}" style="font-weight: bold"/>
	</h:panelGrid>
</hx:panelBox>