<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<hx:panelBox layout="pageDirection" width="100%">

<usmc:messageBox id="name_messagebox"
                messageCollection="#{messageBoxBean.messages}"
                styleClass="taskInfo"
                immediate="true"
                closeLinkVisible="true"
                helpListener="#{messageBoxBean.handleHelp}"
                closeListener="#{messageBoxBean.handleClose}"
                responseListener="#{messageBoxBean.handleResponse}"
                />

<h:panelGrid styleClass="panelGrid" columns="1" cellspacing="5"
	cellpadding="5" width="100%">
	<usmc:outputLabel styleClass="outputText"
		value="#{msg['ManagedSystem.Page.Heading']}" style="font-weight:bold;" />

	<h:panelGroup>
		<h:graphicImage
			url="#{facesContext.externalContext.request.contextPath}/images/HelpIcon.gif"
			alt="F1" />
		<h:outputText escape="false" value="&nbsp;" />
		<hx:outputLinkEx styleClass="outputLink">
			<h:outputText value="#{msg['ManagedSystem.LearnMore.Link']}" />
			<hx:behavior behaviorAction="CLICK;STOP"
				targetAction="manageSystems_learnMoreButton" event="onclick" />
		</hx:outputLinkEx>
		<hx:commandExButton type="submit" style="display:none"
			id="manageSystems_learnMoreButton"
			actionListener="#{transitionBean.learnMoreLinkHandler}">
			<hx:behavior behaviorAction="GET;STOP"
				targetAction="#{transitionBean.helpLinkTargetAction}"
				event="onclick" />
		</hx:commandExButton>
	</h:panelGroup>

</h:panelGrid>

<h:panelGrid styleClass="panelGrid" columns="1" cellspacing="5"
	cellpadding="5" width="70%">

	<usmc:navigatorWidget id="managedSystemsImportNavigator" modelID="USMI"
		homeID="managedSystemsImportHomeID" includeEmptyRows="false"
		selectionPolicy="multiple" nonNavigationActionsAllowed="false"
		includeSearch="false" rows="10" includeNavigationalHistory="false"
		includeToolbar="false" hyperlinkNavigationalHistory="false">
	</usmc:navigatorWidget>

</h:panelGrid>

</hx:panelBox>