<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<hx:panelBox layout="pageDirection" width="100%">

	<usmc:messageBox id="name_messagebox"
		messageCollection="#{messageBoxBean.messages}" styleClass="taskInfo"
		immediate="true" closeLinkVisible="true"
		helpListener="#{messageBoxBean.handleHelp}"
		closeListener="#{messageBoxBean.handleClose}"
		responseListener="#{messageBoxBean.handleResponse}" />

	<h:outputText value="#{msg['Transition.Mode.Select']}" />

	<h:panelGrid id="transitionModeAjaxPanel" styleClass="panelGrid"
		columns="1" cellspacing="5" cellpadding="5" width="100%">

		<h:panelGroup id="box1">
			<h:selectOneRadio id="transitionOnlineMode"
				value="#{transitionMode.onlineMode}"
				valueChangeListener="#{transitionMode.valueChangeOnline}">
				<f:selectItem itemValue="0"
					itemLabel="#{msg['Transition.Mode.Online']}" />
			</h:selectOneRadio>

			<h:outputText value="<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
				escape="false" />
			<h:outputText value="*#{msg['HostName.label']}:" />
			<f:verbatim>
				<br />
			</f:verbatim>

			<h:outputText value="<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
				escape="false" />
			<h:inputText value="#{transitionMode.hmcBox}" id="hmcbox"
				disabled="#{transitionMode.disableOnline}" />
			<f:verbatim>
				<br />
			</f:verbatim>

			<h:outputText value="<br><br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
				escape="false" />
			<h:outputText value="*#{msg['User.label']}:" />
			<f:verbatim>
				<br />
			</f:verbatim>

			<h:outputText value="<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
				escape="false" />
			<h:inputText value="#{transitionMode.userName}" id="username"
				disabled="#{transitionMode.disableOnline}" />
			<f:verbatim>
				<br />
			</f:verbatim>

			<h:outputText value="<br><br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
				escape="false" />
			<h:outputText value="*#{msg['Password.label']}:" />
			<f:verbatim>
				<br />
			</f:verbatim>

			<h:outputText value="<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
				escape="false" />
			<h:inputSecret value="#{transitionMode.password}" id="password"
				disabled="#{transitionMode.disableOnline}" />
			<f:verbatim>
				<br />
			</f:verbatim>

			<h:outputText value="<br><br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
				escape="false" />
			<usmc:outputLabel value="#{msg['Note.label']}"
				style="font-weight: bold;" />
		</h:panelGroup>

		<h:panelGroup id="box2">
			<h:selectOneRadio id="transitionOfflineMode"
				value="#{transitionMode.offlineMode}"
				valueChangeListener="#{transitionMode.valueChangeOffline}">
				<f:selectItem itemValue="0"
					itemLabel="#{msg['Transition.Mode.Offline']}" />
			</h:selectOneRadio>

			<h:outputText value="<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
				escape="false" />
			<h:outputText value="*#{msg['File.Location.label']}:" />

			<%-- add here file upload widget --%>
			<usmc:fileUpload fileNameBinding="#{transitionMode.filename}"
				action="#{transitionMode.uploadAction}" id="fileUploadId"
				customPageId="uploadPage" />
			<!-- see com.ibm.dpsm.transition.console.wizard.UploadPageExtension.java and plugin.xml for customPageId -->

			<usmc:outputLabel value="#{msg['Note.Transition.Mode.Label']}"
				style="font-weight: bold;" />

		</h:panelGroup>

	</h:panelGrid>
</hx:panelBox>

<hx:behavior id="ajBehavior_Proc_Offline" target="transitionOfflineMode"
	event="onclick" behaviorAction="get;stop"
	targetAction="transitionModeAjaxPanel" />

<hx:behavior id="ajBehavior_Proc_Online" target="transitionOnlineMode"
	event="onclick" behaviorAction="get;stop"
	targetAction="transitionModeAjaxPanel" />
