<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1" session="false"%>
<portlet:defineObjects />
<f:view>
	<f:loadBundle var="msg"
		basename="com.ibm.dpsm.transition.console.nl1.TransitionConsoleResource" />
	<hx:scriptCollector id="HMCTransitionWizard_scriptCollector">
		<usmc:form id="TransitionWizardForm" styleClass="form" includeErrorMessageWidget="false">
			<exfaces:wizard id="TransitionWizard"
				stateMachine="#{HMCTransitionWizard_statemachine}" rendered="#{!HMCTransitionWizardTaskID.initializationError}">
				<f:facet name="TransitionWizardWelcomeFacet">
					<f:subview id="TransitionWizardWelcomeSubView"
						rendered="#{HMCTransitionWizard_statemachine.page[1].current}">
						<%@include file="/jsps/transition/wizard/welcomePage.jsp"%>
					</f:subview>
				</f:facet>
				<f:facet name="TransitionWizardModeFacet">
					<f:subview id="TransitionWizardModePage"
						rendered="#{HMCTransitionWizard_statemachine.page[2].current}">
						<%@include file="/jsps/transition/wizard/transitionMode.jsp"%>
					</f:subview>
				</f:facet>
				<f:facet name="TransitionWizardManagedSystemsFacet">
					<f:subview id="TransitionWizardManagedSystemsPage"
						rendered="#{HMCTransitionWizard_statemachine.page[3].current}">
						<%@include file="/jsps/transition/wizard/managedSystemsPage.jsp"%>
					</f:subview>
				</f:facet>
				<f:facet name="TransitionWizardSummaryFacet">
					<f:subview id="TransitionWizardSummarySubView"
						rendered="#{HMCTransitionWizard_statemachine.page[4].current}">
						<%@include file="/jsps/transition/wizard/summaryPage.jsp"%>
					</f:subview>
				</f:facet>
			</exfaces:wizard>
			<h:panelGrid rendered="#{HMCTransitionWizardTaskID.initializationError}" id="errorPanel">
				<h:outputText value="#{HMCTransitionWizardTaskID.initializationErrorMsg}" id="errorText"/>
				<hx:commandExButton value="#{msg.CLOSE_LBL}" action="#{HMCTransitionWizardTaskID.cancel}" id="errorCloseButton"/>
			</h:panelGrid>
			<hx:ajaxRefreshSubmit />
			<hx:behavior id="ajBehavior_Proc_Offline" target="transitionOfflineMode"
				event="onclick" behaviorAction="get;stop"
				targetAction="transitionModeAjaxPanel" />
		</usmc:form>
<script type="text/javascript"
	src="/com.ibm.dpsm.transition.console/scripts/transitionwizard.js"></script>
<script type="text/javascript">
		var namespace = "view<%= renderResponse.getNamespace() %>";
		setTimeout("timedEvent(namespace)",300);

		function saveSummary(linkid)
		{
			var ns = "view<%= renderResponse.getNamespace() %>";
			var saveLink = document.getElementById(ns + ":TransitionWizardForm:TransitionWizard:TransitionWizardSummarySubView:" + linkid);
			simulateClickLink(saveLink);
		}

</script>
	</hx:scriptCollector>
</f:view>
